This is gfanInterface.info, produced by Macaulay2, version 1.24.11

gfanInterface -- a Macaulay2 interface to gfan
**********************************************

Description
===========

gfanInterface is an interface to Anders Jensen's Gfan software (available at
http://home.imf.au.dk/jensen/software/gfan/gfan.html), which is a C++ program
to compute the Groebner fan (i.e. all the initial ideals) of an ideal.

The main function in this package is gfan, which computes all of
the Groebner bases and initial ideals of a given ideal.  A useful feature of
this function is that it can handle symmetries in the ideal. If you want the
geometric information of this list of Groebner basis, see
gfanGroebnerCone.

Most of the functions in gfanInterface require MarkedPolynomialList,
marked polynomial lists as input. In a marked polynomial
list, the leading term of each polynomial is distinguished. New users should
read the guide Conventions for calling methods with options.
Since gfan is distributed with Macaulay2,
one rarely needs to consult the guide for Installation and Configuration of gfanInterface.

Most of functions in the gfan package are accessible through this interface. If
you wish to use one whose interface is not included here send a message to the
package author. Also, please feel free to suggest changes to the parameter
types and return types of each method.

Authors
=======

  * Mike Stillman (see  ) <mike@math.cornell.edu>
  * Andrew Hoefel (see http://www.mast.queensu.ca/~ahhoefel/ )
    <andrew.hoefel@gmail.com>
  * Diane Maclagan (see http://homepages.warwick.ac.uk/staff/D.Maclagan/ )
    <D.Maclagan@warwick.ac.uk> (maintainer)
  * Josephine Yu (see http://people.math.gatech.edu/~jyu67/ )
    <jyu@math.gatech.edu>

Version
=======

This documentation describes version 0.5 of gfanInterface.

Source code
===========

The source code from which this documentation is derived is in the file
gfanInterface.m2 (see common/share/Macaulay2/gfanInterface.m2 ).

Exports
=======

  * Types
      * MarkedPolynomialList
  * Functions and commands
      * gfan -- all reduced Groebner bases of a polynomial ideal
      * gfanBuchberger -- reduced Groebner basis with
        respect to some monomial order
      * gfanDoesIdealContain -- check ideal
        membership by the division algorithm
      * gfanFanCommonRefinement -- find the
        common refinement of two polyhedral fans
      * gfanFanLink -- the link of a vertex in a polyhedral
        fan
      * gfanFanProduct -- computes the product of
        polyhedral fans
      * gfanGroebnerCone -- polyhedral information
        about a Groebner cone
      * gfanHomogeneitySpace -- homogeneity space
        of a list of polynomials
      * gfanHomogenize -- homogenize a list of
        polynomials with respect to a weight vector
      * gfanInitialForms -- initial forms of
        polynomials with respect to a weight vector
      * gfanInteractive -- not implemented
      * gfanIsMarkedGroebnerBasis -- checks
        if a list of polynomials are a Groebner basis
      * gfanKrullDimension -- krull dimension
      * gfanLatticeIdeal -- computes the lattice ideal
        of a lattice
      * gfanLeadingTerms -- leading terms of a list
        (or list of lists) of marked polynomials
      * gfanMarkPolynomialSet -- mark the initial
        terms of a list of polynomials with respect to a weight vector
      * gfanMinkowskiSum -- the Minkowski sum of
        Newton polytopes
      * gfanMinors -- minors of a matrix of indeterminates
      * gfanMixedVolume -- mixed volume of a list of
        polynomials
      * gfanOverIntegers -- all reduced Groebner bases
        of a polynomial ideal with coefficients in ZZ
      * gfanParsePolyhedralFan (missing documentation)
      * gfanPolynomialSetUnion -- union of two
        lists of polynomials
      * gfanRender -- render an image of a Groebner fan
      * gfanRenderStaircase -- render the staircase
        of a monomial initial ideal
      * gfanResultantFan -- Tropical variety of the
        sparse (toric) resultant variety.
      * gfanSaturation -- saturation of an ideal
      * gfanSecondaryFan -- computes the secondary fan
        of a vector configuration
      * gfanStableIntersection -- computes the
        stable intersection of two balanced fans
      * gfanStats -- display certain properties of a list of
        polynomials
      * gfanSubstitute -- rename the variables of a list
        of polynomials
      * gfanToLatex -- convert a list of polynomials to
        LaTeX
      * gfanToPolyhedralFan -- polyhedral data
        about the fan of a list of Groebner bases
      * gfanTropicalBasis -- tropical basis of an
        ideal
      * gfanTropicalBruteForce -- computes the
        tropical variety of an ideal
      * gfanTropicalEvaluation -- evaluates a
        tropical polynomial function
      * gfanTropicalFunction -- tropicalizes a
        polynomial
      * gfanTropicalHyperSurface -- the
        tropical hypersurface of a principal ideal
      * gfanTropicalHyperSurfaceReconstruction (missing documentation)
      * gfanTropicalIntersection -- polyhedral
        data describing intersection of tropical hypersurfaces
      * gfanTropicalLifting -- not implemented
      * gfanTropicalLinearSpace -- equations of
        a tropical linear space from Plücker coordinates
      * gfanTropicalMultiplicity, --
        multiplicity of a tropical cone
      * gfanTropicalRank -- the tropical rank of a
        matrix
      * gfanTropicalStartingCone -- a pair of
        Groebner bases for use with gfanTropicalTraverse
      * gfanTropicalTraverse -- polyhedral data
        describing a tropical variety
      * gfanTropicalWeilDivisor -- the tropical
        Weil divisor of a piecewise linear function
      * gfanVersion (missing documentation)
      * markedPolynomialList -- constructs a
        MarkedPolynomialList
      * MPLConverter -- Converts lists or ideals into
        markedPolynomialLists
      * multiplicitiesReorder (missing documentation)
      * toPolymakeFormat (missing documentation)
  * Methods
      * expression(MarkedPolynomialList) (missing documentation)
      * "gfan(Ideal)" -- see gfan, -- all reduced Groebner bases of
        a polynomial ideal
      * "gfan(List)" -- see gfan, -- all reduced Groebner bases of
        a polynomial ideal
      * "gfan(MarkedPolynomialList)" -- see gfan, -- all reduced
        Groebner bases of a polynomial ideal
      * "gfanBuchberger(Ideal)" -- see gfanBuchberger, --
        reduced Groebner basis with respect to some monomial order
      * "gfanBuchberger(List)" -- see gfanBuchberger, --
        reduced Groebner basis with respect to some monomial order
      * "gfanBuchberger(MarkedPolynomialList)" -- see gfanBuchberger,
        -- reduced Groebner basis with respect to some monomial
        order
      * "gfanDoesIdealContain(Ideal,List)" -- see gfanDoesIdealContain,
        -- check ideal membership by the division
        algorithm
      * "gfanDoesIdealContain(List,List)" -- see gfanDoesIdealContain,
        -- check ideal membership by the division
        algorithm
      * "gfanDoesIdealContain(MarkedPolynomialList,List)" -- see
        gfanDoesIdealContain, -- check ideal membership
        by the division algorithm
      * "gfanFanCommonRefinement(Fan,Fan)" -- see
        gfanFanCommonRefinement, -- find the common
        refinement of two polyhedral fans
      * "gfanFanLink(Fan,List)" -- see gfanFanLink, -- the
        link of a vertex in a polyhedral fan
      * "gfanFanProduct(Fan,Fan)" -- see gfanFanProduct,
        -- computes the product of polyhedral fans
      * "gfanGroebnerCone(Ideal)" -- see gfanGroebnerCone,
        -- polyhedral information about a Groebner cone
      * "gfanGroebnerCone(Ideal,Ideal)" -- see gfanGroebnerCone,
        -- polyhedral information about a Groebner cone
      * "gfanGroebnerCone(Ideal,List)" -- see gfanGroebnerCone,
        -- polyhedral information about a Groebner cone
      * "gfanGroebnerCone(Ideal,MarkedPolynomialList)" -- see
        gfanGroebnerCone, -- polyhedral information about a
        Groebner cone
      * "gfanGroebnerCone(List)" -- see gfanGroebnerCone,
        -- polyhedral information about a Groebner cone
      * "gfanGroebnerCone(List,Ideal)" -- see gfanGroebnerCone,
        -- polyhedral information about a Groebner cone
      * "gfanGroebnerCone(List,List)" -- see gfanGroebnerCone,
        -- polyhedral information about a Groebner cone
      * "gfanGroebnerCone(List,MarkedPolynomialList)" -- see
        gfanGroebnerCone, -- polyhedral information about a
        Groebner cone
      * "gfanGroebnerCone(MarkedPolynomialList)" -- see gfanGroebnerCone,
        -- polyhedral information about a Groebner cone
      * "gfanGroebnerCone(MarkedPolynomialList,Ideal)" -- see
        gfanGroebnerCone, -- polyhedral information about a
        Groebner cone
      * "gfanGroebnerCone(MarkedPolynomialList,List)" -- see
        gfanGroebnerCone, -- polyhedral information about a
        Groebner cone
      * "gfanGroebnerCone(MarkedPolynomialList,MarkedPolynomialList)" -- see
        gfanGroebnerCone, -- polyhedral information
        about a Groebner cone
      * "gfanHomogeneitySpace(Ideal)" -- see gfanHomogeneitySpace,
        -- homogeneity space of a list of polynomials
      * "gfanHomogeneitySpace(List)" -- see gfanHomogeneitySpace,
        -- homogeneity space of a list of polynomials
      * "gfanHomogeneitySpace(MarkedPolynomialList)" -- see
        gfanHomogeneitySpace, -- homogeneity space of a
        list of polynomials
      * "gfanHomogenize(Ideal,Symbol)" -- see gfanHomogenize,
        -- homogenize a list of polynomials with respect to a
        weight vector
      * "gfanHomogenize(List,Symbol)" -- see gfanHomogenize,
        -- homogenize a list of polynomials with respect to a
        weight vector
      * "gfanHomogenize(MarkedPolynomialList,Symbol)" -- see
        gfanHomogenize, -- homogenize a list of polynomials
        with respect to a weight vector
      * "gfanInitialForms(Ideal,List)" -- see gfanInitialForms,
        -- initial forms of polynomials with respect to a
        weight vector
      * "gfanInitialForms(List,List)" -- see gfanInitialForms,
        -- initial forms of polynomials with respect to a
        weight vector
      * "gfanInitialForms(MarkedPolynomialList,List)" -- see
        gfanInitialForms, -- initial forms of polynomials
        with respect to a weight vector
      * "gfanIsMarkedGroebnerBasis(Ideal)" -- see
        gfanIsMarkedGroebnerBasis, -- checks if a
        list of polynomials are a Groebner basis
      * "gfanIsMarkedGroebnerBasis(List)" -- see
        gfanIsMarkedGroebnerBasis, -- checks if a
        list of polynomials are a Groebner basis
      * "gfanIsMarkedGroebnerBasis(MarkedPolynomialList)" -- see
        gfanIsMarkedGroebnerBasis, -- checks if a
        list of polynomials are a Groebner basis
      * "gfanKrullDimension(Ideal)" -- see gfanKrullDimension,
        -- krull dimension
      * "gfanKrullDimension(List)" -- see gfanKrullDimension,
        -- krull dimension
      * "gfanKrullDimension(MarkedPolynomialList)" -- see
        gfanKrullDimension, -- krull dimension
      * "gfanLatticeIdeal(List)" -- see gfanLatticeIdeal,
        -- computes the lattice ideal of a lattice
      * "gfanLeadingTerms(List)" -- see gfanLeadingTerms,
        -- leading terms of a list (or list of lists) of
        marked polynomials
      * "gfanLeadingTerms(MarkedPolynomialList)" -- see gfanLeadingTerms,
        -- leading terms of a list (or list of lists) of
        marked polynomials
      * "gfanMarkPolynomialSet(List,List)" -- see gfanMarkPolynomialSet,
        -- mark the initial terms of a list of
        polynomials with respect to a weight vector
      * "gfanMinkowskiSum(Ideal)" -- see gfanMinkowskiSum,
        -- the Minkowski sum of Newton polytopes
      * "gfanMinkowskiSum(List)" -- see gfanMinkowskiSum,
        -- the Minkowski sum of Newton polytopes
      * "gfanMinors(ZZ,ZZ,ZZ)" -- see gfanMinors, -- minors
        of a matrix of indeterminates
      * "gfanMixedVolume(List)" -- see gfanMixedVolume,
        -- mixed volume of a list of polynomials
      * "gfanOverIntegers(Ideal)" -- see gfanOverIntegers,
        -- all reduced Groebner bases of a polynomial ideal
        with coefficients in ZZ
      * "gfanOverIntegers(Ideal,List)" -- see gfanOverIntegers,
        -- all reduced Groebner bases of a polynomial ideal
        with coefficients in ZZ
      * gfanParsePolyhedralFan(String) (missing documentation)
      * "gfanPolynomialSetUnion(List,List)" -- see
        gfanPolynomialSetUnion, -- union of two lists
        of polynomials
      * "gfanPolynomialSetUnion(List,MarkedPolynomialList)" -- see
        gfanPolynomialSetUnion, -- union of two lists
        of polynomials
      * "gfanPolynomialSetUnion(MarkedPolynomialList,List)" -- see
        gfanPolynomialSetUnion, -- union of two lists
        of polynomials
      * "gfanPolynomialSetUnion(MarkedPolynomialList,MarkedPolynomialList)" --
        see gfanPolynomialSetUnion, -- union of
        two lists of polynomials
      * "gfanRender(List)" -- see gfanRender, -- render an
        image of a Groebner fan
      * "gfanRender(String,List)" -- see gfanRender, --
        render an image of a Groebner fan
      * "gfanRenderStaircase(List)" -- see gfanRenderStaircase,
        -- render the staircase of a monomial initial
        ideal
      * "gfanRenderStaircase(String,List)" -- see gfanRenderStaircase,
        -- render the staircase of a monomial initial
        ideal
      * "gfanResultantFan(List)" -- see gfanResultantFan,
        -- Tropical variety of the sparse (toric) resultant
        variety.
      * "gfanSaturation(Ideal)" -- see gfanSaturation, --
        saturation of an ideal
      * "gfanSecondaryFan(List)" -- see gfanSecondaryFan,
        -- computes the secondary fan of a vector
        configuration
      * gfanStableIntersection(Fan,List,Fan,List) (missing documentation)
      * "gfanStats(List)" -- see gfanStats, -- display certain
        properties of a list of polynomials
      * "gfanSubstitute(Ideal,PolynomialRing)" -- see gfanSubstitute,
        -- rename the variables of a list of polynomials
      * "gfanSubstitute(List,PolynomialRing)" -- see gfanSubstitute,
        -- rename the variables of a list of polynomials
      * "gfanSubstitute(MarkedPolynomialList,PolynomialRing)" -- see
        gfanSubstitute, -- rename the variables of a list of
        polynomials
      * "gfanToLatex(List)" -- see gfanToLatex, -- convert a
        list of polynomials to LaTeX
      * "gfanToLatex(MarkedPolynomialList)" -- see gfanToLatex,
        -- convert a list of polynomials to LaTeX
      * "gfanToPolyhedralFan(List)" -- see gfanToPolyhedralFan,
        -- polyhedral data about the fan of a list of
        Groebner bases
      * "gfanTropicalBasis(Ideal)" -- see gfanTropicalBasis,
        -- tropical basis of an ideal
      * "gfanTropicalBruteForce(List)" -- see gfanTropicalBruteForce,
        -- computes the tropical variety of an ideal
      * "gfanTropicalEvaluation(RingElement,List)" -- see
        gfanTropicalEvaluation, -- evaluates a tropical
        polynomial function
      * "gfanTropicalFunction(RingElement)" -- see gfanTropicalFunction,
        -- tropicalizes a polynomial
      * "gfanTropicalHyperSurface(RingElement)" -- see
        gfanTropicalHyperSurface, -- the tropical
        hypersurface of a principal ideal
      * gfanTropicalHyperSurfaceReconstruction(Fan) (missing documentation)
      * "gfanTropicalIntersection(List)" -- see gfanTropicalIntersection,
        -- polyhedral data describing intersection of
        tropical hypersurfaces
      * gfanTropicalIntersection(List,List) (missing documentation)
      * "gfanTropicalLinearSpace(List,ZZ,ZZ)" -- see
        gfanTropicalLinearSpace, -- equations of a
        tropical linear space from Plücker coordinates
      * "gfanTropicalMultiplicity(List)" -- see gfanTropicalMultiplicity,
        -- multiplicity of a tropical cone
      * "gfanTropicalRank(Matrix)" -- see gfanTropicalRank,
        -- the tropical rank of a matrix
      * "gfanTropicalStartingCone(Ideal)" -- see
        gfanTropicalStartingCone, -- a pair of
        Groebner bases for use with gfanTropicalTraverse
      * "gfanTropicalStartingCone(List)" -- see gfanTropicalStartingCone,
        -- a pair of Groebner bases for use with
        gfanTropicalTraverse
      * "gfanTropicalTraverse(List)" -- see gfanTropicalTraverse,
        -- polyhedral data describing a tropical variety
      * "gfanTropicalWeilDivisor(Fan,Fan)" -- see
        gfanTropicalWeilDivisor, -- the tropical Weil
        divisor of a piecewise linear function
      * markedPolynomialList(List) (missing documentation)
      * "MPLConverter(Ideal)" -- see MPLConverter, --
        Converts lists or ideals into markedPolynomialLists
      * "MPLConverter(List)" -- see MPLConverter, --
        Converts lists or ideals into markedPolynomialLists
      * multiplicitiesReorder(List) (missing documentation)
      * net(MarkedPolynomialList) (missing documentation)
      * RingMap MarkedPolynomialList (missing documentation)
      * texMath(MarkedPolynomialList) (missing documentation)
      * toPolymakeFormat(Fan) (missing documentation)
      * toPolymakeFormat(String,Boolean) (missing documentation)
      * toPolymakeFormat(String,List) (missing documentation)
      * toPolymakeFormat(String,Matrix) (missing documentation)
      * toPolymakeFormat(String,Vector) (missing documentation)
      * toPolymakeFormat(String,ZZ) (missing documentation)
      * toString(MarkedPolynomialList) (missing documentation)
  * Symbols
      * polymakeConeToCone (missing documentation)
      * polymakeFanToFan (missing documentation)
  * Other things
      * gfanFunctions (missing documentation)

For the programmer
==================

The object gfanInterface, is a package (Macaulay2Doc).

Conventions for calling methods with options
********************************************

In creating gfanInterface the objective has been to mirror the gfan commands as
closely as possible in Macaulay 2. Many commands in gfan allow command line
options and these reproduced in gfanInterface as optional arguments.

For example, say we want to find the Groebner bases of an ideal with symmetry.
From the command line, one would type gfan _bases --symmetry and then give the
ring, ideal and symmetries of the ideal as input.

In gfanInterface we pass the optional argument "symmetry" the symmetries and
provide the ideal as an argument.

+-----------------------------------------------------------------------------+
|i1 : QQ[x,y,z];                                                              |
+-----------------------------------------------------------------------------+
|i2 : gfan(ideal(x^2*y -z, y^2*z - x, z^2*x - y), "symmetry" => {{0,1,2}, {1,2|
|                                                                             |
|         2            2           2     3    2      3    2          3        |
|o2 = {{(y z) - x, (x*z ) - y, (x*y ) - z , (x z) - y , (x y) - z, (x ) -     |
|     ------------------------------------------------------------------------|
|        2    4     2    4     2      3       2    4     2      2         2   |
|     y*z , (z ) - x , (y ) - z }, {(x ) - y*z , (z ) - x , (x*z ) - y, (x y) |
|     ------------------------------------------------------------------------|
|              2     3    2          3     2       6             4            |
|     - z, (x*y ) - z , (y z) - x, (y ) - x z}, {(z ) - x*y, (y*z ) - z,      |
|     ------------------------------------------------------------------------|
|         2         2          3     5      2     3    2     4      4     2   |
|     (x*z ) - y, (y z) - x, (y ) - z , (x*y ) - z , (x ) - z }, {(y ) - z ,  |
|     ------------------------------------------------------------------------|
|         2     3    2          2     4      2           4         5     3    |
|     (x*y ) - z , (y z) - x, (x ) - z , (x*z ) - y, (y*z ) - z, (z ) - y },  |
|     ------------------------------------------------------------------------|
|        4     2    2 3           4         5     3         2       9         |
|     {(y ) - z , (y z ) - y, (y*z ) - z, (z ) - y , (x) - y z}, {(y ) - z,   |
|     ------------------------------------------------------------------------|
|       6               2     2     4      2     8           6    2     4     |
|     (y z) - y, (x) - y z, (z ) - y }, {(x ) - y , (x*z) - y , (z ) - y ,    |
|     ------------------------------------------------------------------------|
|       2            4         9           3     5           6    2     4     |
|     (y z) - x, (x*y ) - y, (y ) - z}, {(x ) - y , (x*z) - y , (z ) - y ,    |
|     ------------------------------------------------------------------------|
|       2          2            4         8     2      8     2    2 3         |
|     (x y) - z, (y z) - x, (x*y ) - y, (y ) - x }, {(y ) - x , (x y ) - x,   |
|     ------------------------------------------------------------------------|
|         4         3     5         2       11           4              9     |
|     (x*y ) - y, (x ) - y , (z) - x y}, {(y  ) - x, (x*y ) - y, (z) - y ,    |
|     ------------------------------------------------------------------------|
|       2     8      15              9         11                             |
|     (x ) - y }, {(y  ) - y, (z) - y , (x) - y  }}                           |
|                                                                             |
|o2 : List                                                                    |
|-----------------------------------------------------------------------------|
|,0}})                                                                        |
+-----------------------------------------------------------------------------+

For each optional gfan argument, the corresponding gfanInterface argument is
obtained by simply removing the dashes.

Here's another example. If we run gfanBuchberger without a weight vector, it
will use the lexicographic order.

+---------------------------------+
|i3 : QQ[x,y,z];                  |
+---------------------------------+
|i4 : gfanBuchberger(ideal(x,y+z))|
|                                 |
|o4 = {(y) + z, (x)}              |
|                                 |
|o4 : MarkedPolynomialList        |
+---------------------------------+

If we want to use a different order, the gfan documentation tells us to use the
-w argument. So, in Macaulay 2, we set the w argument to the desired weight
vector.

+-------------------------------------------------+
|i5 : QQ[x,y,z];                                  |
+-------------------------------------------------+
|i6 : gfanBuchberger(ideal(x,y+z), "w" => {1,2,3})|
|                                                 |
|o6 = {(x), (z) + y}                              |
|                                                 |
|o6 : MarkedPolynomialList                        |
+-------------------------------------------------+

Many optional arguments to gfan require no additional input. In this case, we
set the optional argument in Macaulay 2 to be true.

gfan -- all reduced Groebner bases of a polynomial ideal
********************************************************

Synopsis
========

  * Usage:
        G = gfan(I)
        G = gfan(L)
        G = gfan(M)
  * Inputs:
      * I, an ideal (Macaulay2Doc), contained in a polynomial ring
      * L, a list (Macaulay2Doc), of polynomials
      * M, a marked polynomial list,
  * Optional inputs (Macaulay2Doc),:
      * disableSymmetryTest
      * e
      * g
      * symmetry
  * Outputs:
      * G, a list (Macaulay2Doc), all marked reduced Groebner bases
        (missing documentation) of I, L, or M

Description
===========

This method produces all reduced Groebner bases of a polynomial ideal.  The
ideal can be given as an Ideal, List of polynomials, or a MarkedPolynomialList.
The "g"=> true option can be used to inform gfan that the input is already a
Groebner basis with respect to some monomial order.  However, in this case, the
input must be a MarkedPolynomialList.

+-----------------------------------------------------------------------------+
|i1 : R = QQ[x,y,z];                                                          |
+-----------------------------------------------------------------------------+
|i2 : gfan(ideal(x^2*y -y^2, y^2*x - x^2))                                    |
|                                                                             |
|         5     2      2     4    2     4      3     3    2      2      2     |
|o2 = {{(y ) - y , (x*y ) - y , (x ) - y }, {(x ) - y , (x y) - y , (x*y ) -  |
|     ------------------------------------------------------------------------|
|      2    4     2      4     2    2      2      2     2    3     3      5   |
|     x , (y ) - x }, {(x ) - y , (x y) - y , (x*y ) - x , (y ) - x }, {(x ) -|
|     ------------------------------------------------------------------------|
|      2    2      4    2     4                                               |
|     x , (x y) - x , (y ) - x }}                                             |
|                                                                             |
|o2 : List                                                                    |
+-----------------------------------------------------------------------------+
|i3 : gfan({x^2*y -y^2, y^2*x - x^2}, "symmetry" => {{0,1,2}, {1,0,2}})       |
|                                                                             |
|           2     2    2      2    3     3    4     2      5     2      2     |
|o3 = {{(x*y ) - x , (x y) - y , (x ) - y , (y ) - x }, {(y ) - y , (x*y ) -  |
|     ------------------------------------------------------------------------|
|      4    2     4                                                           |
|     y , (x ) - y }}                                                         |
|                                                                             |
|o3 : List                                                                    |
+-----------------------------------------------------------------------------+
|i4 : gfan(markedPolynomialList {{y^5, x*y^2, x^2},{y^5-y^2,x*y^2 - y^4, x^2 -|
|                                                                             |
|         5     2      2     4    2     4      3     3    2      2      2     |
|o4 = {{(y ) - y , (x*y ) - y , (x ) - y }, {(x ) - y , (x y) - y , (x*y ) -  |
|     ------------------------------------------------------------------------|
|      2    4     2      4     2    2      2      2     2    3     3      5   |
|     x , (y ) - x }, {(x ) - y , (x y) - y , (x*y ) - x , (y ) - x }, {(x ) -|
|     ------------------------------------------------------------------------|
|      2    2      4    2     4                                               |
|     x , (x y) - x , (y ) - x }}                                             |
|                                                                             |
|o4 : List                                                                    |
|-----------------------------------------------------------------------------|
|y^4}}, "g" => true)                                                          |
+-----------------------------------------------------------------------------+

gfan Documentation

This is a program for computing all reduced Groebner bases of a polynomial idea
Options:
-g:
 Tells the program that the input is already a Groebner basis (with the initial

--symmetry:
 Tells the program to read in generators for a group of symmetries (subgroup of

-e:
 Echo. Output the generators for the symmetry group.

--disableSymmetryTest:
 When using --symmetry this option will disable the check that the group read o

--parameters value:
 With this option you can specify how many variables to treat as parameters ins
--interrupt value:
 Interrupt the enumeration after a specified number of facets have been compute
-------------------------------------------------------------------------------
l. It takes the ring and a generating set for the ideal as input. By default th

 term of each polynomial being the first ones listed). Use this option if it ta

 $S_n$) after having read in the ideal. The program checks that the ideal stays

ff from the input actually is a symmetry group with respect to the input ideal.

tead of variables. This makes it possible to do computations where the coeffici

d (works for usual symmetric traversals, but may not work in general for non-sy
-------------------------------------------------------------------------------
e enumeration is done by an almost memoryless reverse search. If the ideal

kes too much time to compute the starting (standard degree lexicographic)

 fixed when permuting the variables with respect to elements in the group.

ent field is the field of rational functions in the parameters.

mmetric traversals or for traversals restricted to fans).
-------------------------------------------------------------------------------
 is symmetric the symmetry option is useful and enumeration will be done up to

Groebner basis and the input is already a Groebner basis.

 The program uses breadth first search to compute the set of reduced Groebner
-------------------------------------------------------------------------------
 symmetry using a breadth first search. The program needs a starting Groebner

bases up to symmetry with respect to the specified subgroup.
-------------------------------------------------------------------------------
basis to do its computations. If the -g option is not specified it will compute
-------------------------------------------------------------------------------
one using Buchberger's algorithm.

Ways to use gfan:
=================

  * "gfan(Ideal)"
  * "gfan(List)"
  * "gfan(MarkedPolynomialList)"

For the programmer
==================

The object gfan, is a method function with options (Macaulay2Doc).

gfanBuchberger -- reduced Groebner basis with respect to some monomial order
****************************************************************************

Synopsis
========

  * Usage:
        G = gfanBuchberger(I)
        G = gfanBuchberger(L)
        G = gfanBuchberger(M)
  * Inputs:
      * I, an ideal (Macaulay2Doc), contained in a polynomial ring
      * L, a list (Macaulay2Doc), of polynomials
      * M, a marked polynomial list,
  * Optional inputs (Macaulay2Doc),:
      * g
      * r
      * W
      * w
  * Outputs:
      * G, a marked polynomial list, a marked
        reduced Groebner basis of I

Description
===========

This method computes a reduced Groebner basis of an ideal with respect to the
lexicographic order (by default) or with respect to some weight vector if
option w is specified. The output is a MarkedPolynomialList. The input can be
given as an Ideal, List of polynomials, or MarkedPolynomialList. In the case of
a MarkedPolynomialList, the marked terms are ignored.

+------------------------------------------------------+
|i1 : QQ[x,y,z];                                       |
+------------------------------------------------------+
|i2 : I = ideal(x*y + z, x*z + y);                     |
|                                                      |
|o2 : Ideal of QQ[x..z]                                |
+------------------------------------------------------+
|i3 : gfanBuchberger(I)                                |
|                                                      |
|        2     2                                       |
|o3 = {(y ) - z , (x*z) + y, (x*y) + z}                |
|                                                      |
|o3 : MarkedPolynomialList                             |
+------------------------------------------------------+
|i4 : gfanBuchberger(I, "w" => {1,2,3})                |
|                                                      |
|                              2     2                 |
|o4 = {(x*y) + z, (x*z) + y, (z ) - y }                |
|                                                      |
|o4 : MarkedPolynomialList                             |
+------------------------------------------------------+
|i5 : gfanBuchberger({x*y + z, x*z +y}, "w" => {1,2,3})|
|                                                      |
|                              2     2                 |
|o5 = {(x*y) + z, (x*z) + y, (z ) - y }                |
|                                                      |
|o5 : MarkedPolynomialList                             |
+------------------------------------------------------+

Note that Macaulay 2 can compute Groebner bases with respect to given weights
without using gfan.

+-----------------------------------------------------------------------------+
|i6 : QQ[x,y,z, MonomialOrder => { Weights => {1,2,3}, Lex } ];               |
+-----------------------------------------------------------------------------+
|i7 : G = gens gb ideal(x*y + z,  x*z + y )                                   |
|                                                                             |
|o7 = | xy+z xz+y z2-y2 |                                                     |
|                                                                             |
|                      1               3                                      |
|o7 : Matrix (QQ[x..z])  <-- (QQ[x..z])                                       |
+-----------------------------------------------------------------------------+
|i8 : markedPolynomialList transpose  apply(flatten entries G, g-> {leadTerm  |
|                                                                             |
|                              2     2                                        |
|o8 = {(x*y) + z, (x*z) + y, (z ) - y }                                       |
|                                                                             |
|o8 : MarkedPolynomialList                                                    |
|-----------------------------------------------------------------------------|
|g, g})                                                                       |
+-----------------------------------------------------------------------------+

gfan Documentation

This program computes a reduced lexicographic Groebner basis of the polynomial
Options:
-w:
 Compute a Groebner basis with respect to a degree lexicographic order with $a>

-r:
 Use the reverse lexicographic order (or the reverse lexicographic order as a t

-W:
 Do a Groebner walk. The input must be a minimal Groebner basis. If -W is used

-g:
 Do a generic Groebner walk. The input must be homogeneous and must be a minima

--parameters value:
 With this option you can specify how many variables to treat as parameters ins
-------------------------------------------------------------------------------
ideal given as input. The default behavior is to use Buchberger's algorithm. Th

b>c...$ instead. The degrees are given by a weight vector which is read from th

ie breaker if -w is used). The input must be homogeneous if the pure reverse le

-w is ignored.

l Groebner basis with respect to the reverse lexicographic term order. The targ

tead of variables. This makes it possible to do computations where the coeffici
-------------------------------------------------------------------------------
e ordering of the variables is $a>b>c...$ (assuming that the ring is

e input after the generating set has been read.

xicographic order is chosen. Ignored if -W is used.

et term order is always lexicographic. The -W option must be used.

ent field is the field of rational functions in the parameters.
-------------------------------------------------------------------------------
Q[a,b,c,...]).

Ways to use gfanBuchberger:
===========================

  * "gfanBuchberger(Ideal)"
  * "gfanBuchberger(List)"
  * "gfanBuchberger(MarkedPolynomialList)"

For the programmer
==================

The object gfanBuchberger, is a method function with options (Macaulay2Doc).

gfanDoesIdealContain -- check ideal membership by the division algorithm
************************************************************************

Synopsis
========

  * Usage:
        B = gfanDoesIdealContain(M,K)
        B = gfanDoesIdealContain(L,K)
        B = gfanDoesIdealContain(I,K)
  * Inputs:
      * M, a marked polynomial list, a marked
        Groebner basis.
      * L, a list (Macaulay2Doc), a list of Groebner basis.
      * I, an ideal (Macaulay2Doc), an ideal with Groebner basis
        as generator.
      * K, a list (Macaulay2Doc), a list of polynomials
  * Outputs:
      * B, a Boolean value (Macaulay2Doc), true if every
        polynomial in K belongs to the ideal generated by L

Description
===========

This method determines if a list of polynomials is contained in an ideal. The
first input has to be in marked polynomial, in order to do this
easily one could use gfanBuchberger as shown in the example as gfanBuchberger
outputs a Groebner basis in as a markedPolynomialList. Macaulay 2 provides this
functionality in the isSubset (Macaulay2Doc), method.

+-----------------------------------------------------------------------------+
|i1 : QQ[x,y,z];                                                              |
+-----------------------------------------------------------------------------+
|i2 : gfanDoesIdealContain(markedPolynomialList{{y*z,x*y,x*z}, {y*z, x*y - y, |
|                                                                             |
|o2 = true                                                                    |
|-----------------------------------------------------------------------------|
|x*z + z}}, {x*y*z})                                                          |
+-----------------------------------------------------------------------------+
|i3 : L=gfanBuchberger{x*y-y, x*z+z}                                          |
|                                                                             |
|o3 = {(y*z), (x*z) + z, (x*y) - y}                                           |
|                                                                             |
|o3 : MarkedPolynomialList                                                    |
+-----------------------------------------------------------------------------+
|i4 : gfanDoesIdealContain(L,{x*y*z})                                         |
|                                                                             |
|o4 = true                                                                    |
+-----------------------------------------------------------------------------+
|i5 : isSubset(ideal(y*z), ideal(x*y - y, x*z +z))                            |
|                                                                             |
|o5 = true                                                                    |
+-----------------------------------------------------------------------------+

gfan Documentation

This program takes a marked
Options:
--remainder:
 Tell the program to output
--multiplier:
 Reads in a polynomial that
-------------------------------------------------------------------------------
Groebner basis of an ideal I and a set of polynomials on its input and tests if

the remainders of the divisions rather than outputting 0 or 1.

will be multiplied to the polynomial to be divided before doing the division.
-------------------------------------------------------------------------------
the polynomial set is contained in I by applying the division algorithm for
-------------------------------------------------------------------------------
each element. The output is 1 for true and 0 for false.

Ways to use gfanDoesIdealContain:
=================================

  * "gfanDoesIdealContain(Ideal,List)"
  * "gfanDoesIdealContain(List,List)"
  * "gfanDoesIdealContain(MarkedPolynomialList,List)"

For the programmer
==================

The object gfanDoesIdealContain, is a method function with options (Macaulay2Doc).

gfanFanCommonRefinement -- find the common refinement of two polyhedral fans
****************************************************************************

Synopsis
========

  * Usage:
        P = gfanFanCommonRefinement(F,G)
  * Inputs:
      * F, an instance of the type Fan (Polyhedra),
      * G, an instance of the type Fan (Polyhedra),
  * Optional inputs (Macaulay2Doc),:
      * i1
      * i2
  * Outputs:
      * P, an instance of the type Fan (Polyhedra), the common
        refinement of F and G

Description
===========

This method takes two Fans and finds their common refinement.

In the following, F is the fan with two cones partitions the plane along the
line $y=x$ while G has two cones that partition the plane along $y = x/2$. The
common refinement of these two fans is the fan of the four cones between these
two lines.

+-----------------------------------------+
|i1 : QQ[x,y];                            |
+-----------------------------------------+
|i2 : F = gfanToPolyhedralFan gfan {x+y}  |
|                                         |
|o2 = F                                   |
|                                         |
|o2 : Fan                                 |
+-----------------------------------------+
|i3 : G = gfanToPolyhedralFan gfan {x+y^2}|
|                                         |
|o3 = G                                   |
|                                         |
|o3 : Fan                                 |
+-----------------------------------------+
|i4 : gfanFanCommonRefinement(F,G)        |
|                                         |
|o4 = Fan{...1...}                        |
|                                         |
|o4 : Fan                                 |
+-----------------------------------------+

In the next example we take two half planes which overlap in the first
quadrant. Their common refinement is simply their intersection.

+-------------+
|i5 : QQ[x,y];|
+-------------+

gfan Documentation

This program takes two polyhedral fans and computes their common refinement.
Options:
-i1 value:
 Specify the name of the first input file.
-i2 value:
 Specify the name of the second input file.
--stable:
 Compute the stable intersection.

Ways to use gfanFanCommonRefinement:
====================================

  * "gfanFanCommonRefinement(Fan,Fan)"

For the programmer
==================

The object gfanFanCommonRefinement, is a
method function with options (Macaulay2Doc).

gfanFanLink -- the link of a vertex in a polyhedral fan
*******************************************************

Synopsis
========

  * Usage:
        P = gfanFanLink(F, V)
  * Inputs:
      * F, an instance of the type Fan (Polyhedra), a polyhedral fan
      * V, a list (Macaulay2Doc), a vertex of the fan
  * Optional inputs (Macaulay2Doc),:
      * i
      * star
      * symmetry
  * Outputs:
      * P, an instance of the type Fan (Polyhedra), the link of F at
        V

Description
===========

This method computes the link of a polyhedral fan around a vertex.

+--------------------------------------------------------------------+
|i1 : QQ[x,y];                                                       |
+--------------------------------------------------------------------+
|i2 : F = gfanToPolyhedralFan {markedPolynomialList{{x}, {x+y}}};    |
+--------------------------------------------------------------------+
|i3 : G = gfanToPolyhedralFan {markedPolynomialList{{y^2}, {x+y^2}}};|
+--------------------------------------------------------------------+

gfan Documentation

This program takes a polyhedral fan and a vector and computes the link of
Options:
-i value:
 Specify the name of the input file.
--symmetry:
 Reads in a fan stored with symmetry. The generators of the symmetry group

--star:
 Computes the star instead. The star is defined as the smallest polyhedral
-------------------------------------------------------------------------------
the polyhedral fan around that vertex. The link will have lineality space

 must be given on the standard input.

 fan containing all cones of the original fan containing the vector.
-------------------------------------------------------------------------------
dimension equal to the dimension of the relative open polyhedral cone of the
-------------------------------------------------------------------------------
original fan containing the vector.

Ways to use gfanFanLink:
========================

  * "gfanFanLink(Fan,List)"

For the programmer
==================

The object gfanFanLink, is a method function with options (Macaulay2Doc).

gfanFanProduct -- computes the product of polyhedral fans
*********************************************************

Synopsis
========

  * Usage:
        P = gfanFanProduct(F,G)
  * Inputs:
      * F, an instance of the type Fan (Polyhedra), a polyhedral fan
      * G, an instance of the type Fan (Polyhedra), a polyhedral fan
  * Optional inputs (Macaulay2Doc),:
      * i1
      * i2
  * Outputs:
      * P, an instance of the type Fan (Polyhedra), the product of F
        and G

Description
===========

This method computes the product of two polyhedral fans. The arguments i1 and
i2 are automatically set.

+-------------------------------------------------------------------+
|i1 : QQ[x,y];                                                      |
+-------------------------------------------------------------------+
|i2 : F = gfanToPolyhedralFan {markedPolynomialList{{x}, {x+y}}}    |
|                                                                   |
|o2 = F                                                             |
|                                                                   |
|o2 : Fan                                                           |
+-------------------------------------------------------------------+
|i3 : G = gfanToPolyhedralFan {markedPolynomialList{{y^2}, {x+y^2}}}|
|                                                                   |
|o3 = G                                                             |
|                                                                   |
|o3 : Fan                                                           |
+-------------------------------------------------------------------+
|i4 : gfanFanProduct(F,G)                                           |
|                                                                   |
|o4 = (Fan{...1...}, {1})                                           |
|                                                                   |
|o4 : Sequence                                                      |
+-------------------------------------------------------------------+

gfan Documentation

This program takes two polyhedral fans and computes their product.
Options:
-i1 value:
 Specify the name of the first input file.
-i2 value:
 Specify the name of the second input file.

Ways to use gfanFanProduct:
===========================

  * "gfanFanProduct(Fan,Fan)"

For the programmer
==================

The object gfanFanProduct, is a method function with options (Macaulay2Doc).

gfanFunctions
*************

For the programmer
==================

The object gfanFunctions (missing documentation) is a hash table (Macaulay2Doc).

gfanGroebnerCone -- polyhedral information about a Groebner cone
****************************************************************

Synopsis
========

  * Usage:
        S = gfanGroebnerCone(M)
        S = gfanGroebnerCone(L)
        S = gfanGroebnerCone(I)
        S = gfanGroebnerCone(K, M)
        S = gfanGroebnerCone(K, L)
        S = gfanGroebnerCone(K, I)
        S = gfanGroebnerCone(N, M)
        S = gfanGroebnerCone(N, L)
        S = gfanGroebnerCone(N, I)
        S = gfanGroebnerCone(J, M)
        S = gfanGroebnerCone(J, L)
        S = gfanGroebnerCone(J, I)
  * Inputs:
      * K, a marked polynomial list, a marked
        reduced Groebner basis, or a minimal basis.
      * M, a marked polynomial list, a marked
        reduced Groebner basis.
      * N, a list (Macaulay2Doc), a list of reduced Groebner basis,
        or a minimal basis.
      * L, a list (Macaulay2Doc), a list of reduced Groebner basis.
      * J, an ideal (Macaulay2Doc), an ideal of reduced Groebner
        basis, or a minimal basis.
      * I, an ideal (Macaulay2Doc), an ideal of reduced Grobner
        basis.
  * Optional inputs (Macaulay2Doc),:
      * asfan
      * pair
      * restrict
      * vectorinput
      * xml
  * Outputs:
      * S, a string (Macaulay2Doc), a description of the Groebner
        cone of M or I or L

Description
===========

This method computes the Grobener cone of the input in the case where M, L, I
are reduced Groebner bases. If M, L, I are only minimal bases, then a smaller
cone is produced.

+----------------------------------------------------------+
|i1 : QQ[x,y];                                             |
+----------------------------------------------------------+
|i2 : gfanGroebnerCone( markedPolynomialList {{x}, {x+y}} )|
|                                                          |
|o2 = Fan{...1...}                                         |
|                                                          |
|o2 : Fan                                                  |
+----------------------------------------------------------+

In the above example any weights w = a(1,1) + p (1,-1) for a a real number and
p >= 0 give (x) as the initial ideal of (x+y) with respect to w.

When both K and M are given as input and are compatible marked reduced Groebner
bases in the sense that K is an initial ideal of M then gfanGroebnerCone(K,M)
computes the cone of K in the fan of M. For example, the cone on which (x+y) is
its own initial ideal is simply the line w = a(1,1) for a a real number.

+-----------------------------------------------------------------------------+
|i3 : QQ[x,y];                                                                |
+-----------------------------------------------------------------------------+
|i4 : gfanGroebnerCone( markedPolynomialList {{x}, {x+y}},                    |
|                                                                             |
|o4 = Fan{...1...}                                                            |
|                                                                             |
|o4 : Fan                                                                     |
|-----------------------------------------------------------------------------|
|markedPolynomialList {{x}, {x+y}} )                                          |
+-----------------------------------------------------------------------------+

Note that the pair option will automatically be specified when two marked
Groebner bases are given.

gfan Documentation

This program computes a Groebner cone. Three different cases are handled. The i
Options:
--restrict:
 Add an inequality for each coordinate, so that the the cone is restricted to t
--pair:
 The Groebner cone is given by a pair of compatible Groebner bases. The first b
--asfan:
 Writes the cone as a polyhedral fan with all its faces instead. In this way th
--vectorinput:
 Compute a cone given list of inequalities rather than a Groebner cone. The inp
-------------------------------------------------------------------------------
nput may be a marked reduced Groebner basis in which case its Groebner

he non-negative orthant.

asis is for the initial ideal and the second for the ideal itself. See

e extreme rays of the cone are also computed.

ut is an integer which specifies the dimension of the ambient space, a
-------------------------------------------------------------------------------
cone is computed. The input may be just a marked minimal basis in which case

the tropical section of the manual.

list of inequalities given as vectors and a list of equations.
-------------------------------------------------------------------------------
the cone computed is not a Groebner cone in the usual sense but smaller. (These
-------------------------------------------------------------------------------
cones are described in [Fukuda, Jensen, Lauritzen, Thomas]). The third possible
-------------------------------------------------------------------------------
case is that the Groebner cone is possibly lower dimensional and given by a
-------------------------------------------------------------------------------
pair of Groebner bases as it is useful to do for tropical varieties, see option
-------------------------------------------------------------------------------
--pair. The facets of the cone can be read off in section FACETS and the
-------------------------------------------------------------------------------
equations in section IMPLIED_EQUATIONS.

Ways to use gfanGroebnerCone:
=============================

  * "gfanGroebnerCone(Ideal)"
  * "gfanGroebnerCone(Ideal,Ideal)"
  * "gfanGroebnerCone(Ideal,List)"
  * "gfanGroebnerCone(Ideal,MarkedPolynomialList)"
  * "gfanGroebnerCone(List)"
  * "gfanGroebnerCone(List,Ideal)"
  * "gfanGroebnerCone(List,List)"
  * "gfanGroebnerCone(List,MarkedPolynomialList)"
  * "gfanGroebnerCone(MarkedPolynomialList)"
  * "gfanGroebnerCone(MarkedPolynomialList,Ideal)"
  * "gfanGroebnerCone(MarkedPolynomialList,List)"
  * "gfanGroebnerCone(MarkedPolynomialList,MarkedPolynomialList)"

For the programmer
==================

The object gfanGroebnerCone, is a method function with options (Macaulay2Doc).

gfanHomogeneitySpace -- homogeneity space of a list of polynomials
******************************************************************

Synopsis
========

  * Usage:
        gfanHomogeneitySpace(L)
        gfanHomogeneitySpace(M)
        gfanHomogeneitySpace(I)
  * Inputs:
      * L, a list (Macaulay2Doc), of polynomials
      * M, a marked polynomial list,
      * I, an ideal (Macaulay2Doc),
  * Outputs:
      * S, a string (Macaulay2Doc), polymake data with a
        lineality space of all weight vectors for which L is homogeneous.

Description
===========

This method computes the homogeneity space of L or M or I. If a
MarkedPolynomialList is used, then the marked terms are simply ignored.

+----------------------------------------+
|i1 : QQ[x,y,z];                         |
+----------------------------------------+
|i2 : gfanHomogeneitySpace {x+y^2, y+z^2}|
|                                        |
|o2 = Fan{...1...}                       |
|                                        |
|o2 : Fan                                |
+----------------------------------------+

gfan Documentation

This program computes the homogeneity space of a list of polynomials - as a
Options:
-------------------------------------------------------------------------------
cone. Thus generators for the homogeneity space are found in the section
-------------------------------------------------------------------------------
LINEALITY_SPACE. If you wish the homogeneity space of an ideal you should first
-------------------------------------------------------------------------------
compute a set of homogeneous generators and call the program on these. A
-------------------------------------------------------------------------------
reduced Groebner basis will always suffice for this purpose.

Ways to use gfanHomogeneitySpace:
=================================

  * "gfanHomogeneitySpace(Ideal)"
  * "gfanHomogeneitySpace(List)"
  * "gfanHomogeneitySpace(MarkedPolynomialList)"

For the programmer
==================

The object gfanHomogeneitySpace, is a method function with options (Macaulay2Doc).

gfanHomogenize -- homogenize a list of polynomials with respect to a weight vector
**********************************************************************************

Synopsis
========

  * Usage:
        G = gfanHomogenize(L,X)
        H = gfanHomogenize(M,X)
        H = gfanHomogenize(I,X)
  * Inputs:
      * L, a list (Macaulay2Doc), of polynomials
      * M, a marked polynomial list,
      * I, an ideal (Macaulay2Doc),
      * X, a symbol (Macaulay2Doc), the homogenizing variable
  * Optional inputs (Macaulay2Doc),:
      * i
      * w
  * Outputs:
      * G, a list (Macaulay2Doc), polynomials from L homogenized
        with variable X
      * H, a marked polynomial list, polynomials
        from M homogenized with variable X

Description
===========

The method homogenizes the polynomials in L or M or I with respect to a given
weight vector provided by the optional argument w. If the w option is not
specified, the polynomials are homogenized with respect to total degree. This
functionality is also provided by the homogenize (Macaulay2Doc),
method which does not use gfan.

+----------------------------------------------+
|i1 : QQ[x,y];                                 |
+----------------------------------------------+
|i2 : L = {x+y, x^2*y + x};                    |
+----------------------------------------------+
|i3 : gfanHomogenize(L, symbol z, "w" => {2,3})|
|                                              |
|                  5    2                      |
|o3 = {x*z + y, x*z  + x y}                    |
|                                              |
|o3 : List                                     |
+----------------------------------------------+
|i4 : QQ[x,y,z];                               |
+----------------------------------------------+
|i5 : L = {x+y, x^2*y + x};                    |
+----------------------------------------------+
|i6 : homogenize(matrix{L}, z, {2,3,1})        |
|                                              |
|o6 = | xz+y xz5+x2y |                         |
|                                              |
|                      1               2       |
|o6 : Matrix (QQ[x..z])  <-- (QQ[x..z])        |
+----------------------------------------------+

Using the variant that accepts a MarkedPolynomialList as input produces a
MarkedPolynomialList as output.

+-----------------------------------------------+
|i7 : QQ[x,y];                                  |
+-----------------------------------------------+
|i8 : L = markedPolynomialList {{y}, {x+y}};    |
+-----------------------------------------------+
|i9 : gfanHomogenize(L, symbol z,  "w" => {2,3})|
|                                               |
|o9 = {(y) + x*z}                               |
|                                               |
|o9 : MarkedPolynomialList                      |
+-----------------------------------------------+

gfan Documentation

This program homogenises a list of polynomials by introducing an
Example:
Input:
Q[x,y]{y-1}
z
Output:
Q[x,y,z]{y-z}
Options:
-i:
 Treat input as an ideal. This will make the program compute the
-w:
 Specify a homogenisation vector. The length of the vector must

-H:
 Let the name of the new variable be H rather than reading in a
-------------------------------------------------------------------------------
 extra variable. The name of

 homogenisation of the input

be the same as the number of

name from the input.
-------------------------------------------------------------------------------
the variable to be introduced is read from

ideal. This is done by computing a degree

variables in the ring. The vector is read
-------------------------------------------------------------------------------
 the input after the list of polynomials. Without the -w option the

Groebner basis and homogenising it.

from the input after the list of polynomials.
-------------------------------------------------------------------------------
homogenisation is done with respect to total degree.

Ways to use gfanHomogenize:
===========================

  * "gfanHomogenize(Ideal,Symbol)"
  * "gfanHomogenize(List,Symbol)"
  * "gfanHomogenize(MarkedPolynomialList,Symbol)"

For the programmer
==================

The object gfanHomogenize, is a method function with options (Macaulay2Doc).

gfanInitialForms -- initial forms of polynomials with respect to a weight vector
********************************************************************************

Synopsis
========

  * Usage:
        G = gfanInitialForms(L,W)
        G = gfanInitialForms(I,W)
        H = gfanInitialForms(M,W)
  * Inputs:
      * L, a list (Macaulay2Doc), of polynomials
      * I, an ideal (Macaulay2Doc),
      * M, a marked polynomial list,
      * W, a list (Macaulay2Doc), a weight vector
  * Optional inputs (Macaulay2Doc),:
      * ideal
      * mark
      * pair
  * Outputs:
      * G, a list (Macaulay2Doc), initial forms of the polynomials
        in L or I with respect to weight W
      * H, a marked polynomial list, marked
        initial forms of the polynomials in M with respect to weight W

Description
===========

This method gives the initial forms of a list of polynomials. If the "ideals"
option is used, generators for the initial ideal are given. If the "pair"
option is used, then the output is a pair of MarkedPolynomialLists.

+---------------------------------------------------------------+
|i1 : QQ[x,y,z]                                                 |
|                                                               |
|o1 = QQ[x..z]                                                  |
|                                                               |
|o1 : PolynomialRing                                            |
+---------------------------------------------------------------+
|i2 : L = {x + y, x + z}                                        |
|                                                               |
|o2 = {x + y, x + z}                                            |
|                                                               |
|o2 : List                                                      |
+---------------------------------------------------------------+
|i3 : gfanInitialForms(L, {1,2,1})                              |
|                                                               |
|o3 = {y, x + z}                                                |
|                                                               |
|o3 : List                                                      |
+---------------------------------------------------------------+
|i4 : gfanInitialForms(L, {1,2,1}, "ideal"=>true)               |
|                                                               |
|o4 = {x + z, y}                                                |
|                                                               |
|o4 : List                                                      |
+---------------------------------------------------------------+
|i5 : gfanInitialForms(L, {1,2,1}, "ideal"=>true, "pair"=>true) |
|                                                               |
|o5 = {{x + z, y}, {x + z, y - z}}                              |
|                                                               |
|o5 : List                                                      |
+---------------------------------------------------------------+
|i6 : gfanInitialForms({x*y+z, x*z + y}, {1,1,1}, "ideal"=>true)|
|                                                               |
|            2    2                                             |
|o6 = {x*z, y  - z , x*y}                                       |
|                                                               |
|o6 : List                                                      |
+---------------------------------------------------------------+

gfan Documentation

This program converts a list of polynomials to a list of their initial forms wi
Options:
--ideal:
 Treat input as an ideal. This will make the program compute the initial ideal

--pair:
 Produce a pair of polynomial lists. Used together with --ideal this option wil

--mark:
 If the --pair option is and the --ideal option is not used this option will st
--list:
 Read in a list of vectors instead of a single vector and produce a list of pol
-------------------------------------------------------------------------------
th respect to the vector given after the list.

of the ideal generated by the input polynomials. The

l also write a compatible reduced Groebner basis for

ill make sure that the second output basis is marked

ynomial sets as output.
-------------------------------------------------------------------------------
computation is done by computing a Groebner basis with respect to the given

the input ideal to the output. This is useful for finding the Groebner cone

consistently with the vector.
-------------------------------------------------------------------------------
vector. The vector must be positive or the input polynomials must be

of a non-monomial initial ideal.
-------------------------------------------------------------------------------
homogeneous in a positive grading. None of these conditions are checked by the
-------------------------------------------------------------------------------
program.

Ways to use gfanInitialForms:
=============================

  * "gfanInitialForms(Ideal,List)"
  * "gfanInitialForms(List,List)"
  * "gfanInitialForms(MarkedPolynomialList,List)"

For the programmer
==================

The object gfanInitialForms, is a method function with options (Macaulay2Doc).

gfanInteractive -- not implemented
**********************************

Description
===========

This method is not implemented.

gfan Documentation

This is a program for doing interactive walks in the Groebner fan of an ideal.
Options:
-L:
 Latex mode. The program will try to show the current Groebner basis in a reada

-x:
 Exit immediately.

-f:
 Tell the program to list the flipped reduced Groebner basis of the initial ide

-w:
 Tell the program to list (a Groebner basis with respect to the current term or

-i:
 Tell the program to list the defining set of inequalities of the non-restricte

-W:
 Print weight vector. This will make the program print an interior vector of th

--tropical:
 Traverse a tropical variety interactively.
-------------------------------------------------------------------------------
The input is a Groebner basis defining the starting Groebner cone of the walk.

ble form by invoking LaTeX and xdvi.

al for each flippable wall in the current Groebner cone.

der for) the initial ideal for each flippable wall in the current Groebner cone

d Groebner cone as a set of vectors after having listed the current Groebner ba

e current Groebner cone and a relative interior point for each flippable facet
-------------------------------------------------------------------------------
The program will list all flippable facets of the Groebner cone and ask the

.

sis.

of the current Groebner cone.
-------------------------------------------------------------------------------
user to choose one. The user types in the index (number) of the facet in the
-------------------------------------------------------------------------------
list. The program will walk through the selected facet and display the new
-------------------------------------------------------------------------------
Groebner basis and a list of new facet normals for the user to choose from.
-------------------------------------------------------------------------------
Since the program reads the user's choices through the the standard input it is
-------------------------------------------------------------------------------
recommended not to redirect the standard input for this program.

For the programmer
==================

The object gfanInteractive, is a method function with options (Macaulay2Doc).

gfanIsMarkedGroebnerBasis -- checks if a list of polynomials are a Groebner basis
*********************************************************************************

Synopsis
========

  * Usage:
        B = gfanIsMarkedGroebnerBasis(M)
        B = gfanIsMarkedGroebnerBasis(L)
        B = gfanIsMarkedGroebnerBasis(I)
  * Inputs:
      * M, a marked polynomial list,
      * L, a list (Macaulay2Doc),
      * I, an ideal (Macaulay2Doc),
  * Outputs:
      * B, a Boolean value (Macaulay2Doc), true if input forms a
        Groebner basis

Description
===========

This method takes a list of polynomial and determines if it is a Groebner basis
with respect to some weight vector.

+-----------------------------------------------------------------------------+
|i1 : QQ[x,y,z];                                                              |
+-----------------------------------------------------------------------------+
|i2 : gfanIsMarkedGroebnerBasis({x^2+y, y^3+z})                               |
|                                                                             |
|o2 = true                                                                    |
+-----------------------------------------------------------------------------+
|i3 : gfanIsMarkedGroebnerBasis markedPolynomialList {{y,y^3}, {x^2+y, y^3+z}}|
|                                                                             |
|o3 = false                                                                   |
+-----------------------------------------------------------------------------+

gfan Documentation

This program checks if a set of marked polynomials is a Groebner basis with
Options:
-------------------------------------------------------------------------------
respect to its marking. First it is checked if the markings are consistent with
-------------------------------------------------------------------------------
respect to a positive vector. Then Buchberger's S-criterion is checked. The
-------------------------------------------------------------------------------
output is boolean value.

Ways to use gfanIsMarkedGroebnerBasis:
======================================

  * "gfanIsMarkedGroebnerBasis(Ideal)"
  * "gfanIsMarkedGroebnerBasis(List)"
  * "gfanIsMarkedGroebnerBasis(MarkedPolynomialList)"

For the programmer
==================

The object gfanIsMarkedGroebnerBasis, is a
method function with options (Macaulay2Doc).

gfanKrullDimension -- krull dimension
*************************************

Synopsis
========

  * Usage:
        D = gfanKrullDimension(M)
        D = gfanKrullDimension(L)
        D = gfanKrullDimension(I)
  * Inputs:
      * M, a marked polynomial list, a
        marked Groebner basis,
      * L, a list (Macaulay2Doc),
      * I, an ideal (Macaulay2Doc),
  * Outputs:
      * D, an integer (Macaulay2Doc), the Krull dimension of the
        polynomial ring modulo the ideal generated by M or L or the ideal I.

Description
===========

This method returns the Krull dimension of the quotient of the polynomial ring
by the ideal generated by M or L or the ideal I.

Note that Macaulay 2 already provides this functionality (see dim (Macaulay2Doc)).

+--------------------------+
|i1 : QQ[x,y,z,u,v];       |
+--------------------------+
|i2 : L = {x^3, y^2};      |
+--------------------------+
|i3 : gfanKrullDimension(L)|
|                          |
|o3 = 3                    |
+--------------------------+
|i4 : dim ideal L          |
|                          |
|o4 = 3                    |
+--------------------------+

gfan Documentation

Takes an ideal $I$ and computes the Krull dimension of R/I where R is the
Options:
-g:
 Tell the program that the input is already a reduced Groebner basis.
-------------------------------------------------------------------------------
polynomial ring. This is done by first computing a Groebner basis.

Ways to use gfanKrullDimension:
===============================

  * "gfanKrullDimension(Ideal)"
  * "gfanKrullDimension(List)"
  * "gfanKrullDimension(MarkedPolynomialList)"

For the programmer
==================

The object gfanKrullDimension, is a method function with options (Macaulay2Doc).

gfanLatticeIdeal -- computes the lattice ideal of a lattice
***********************************************************

Synopsis
========

  * Usage:
        I = gfanLatticeIdeal L
  * Inputs:
      * L, a list (Macaulay2Doc), of generators of the lattice
  * Optional inputs (Macaulay2Doc),:
      * t
  * Outputs:
      * I, a list (Macaulay2Doc), a list of generators for the
        lattice ideal

Description
===========

This method computes the generators for the lattice ideal. The input should be
a list of points that generate the lattice.

+-----------------------------------------+
|i1 : gfanLatticeIdeal {{2,-1,0},{3,0,-1}}|
|                                         |
|       2                                 |
|o1 = {x  - x , - x x  + x }              |
|       0    1     0 1    2               |
|                                         |
|o1 : List                                |
+-----------------------------------------+

The lattice ideal of a free abelian subgroup $L$ of $\mathbb Z^n$ is the ideal
generated by $ \mathbf{x}^{\alpha^+} - \mathbf{x}^{\alpha^-}$ for $\alpha
=\alpha^+ - \alpha^- \in L$.

gfan Documentation

This program computes the lattice ideal of a lattice. The input is a list
Options:
-t:
 Compute the toric ideal of the matrix whose rows are given on the input
--convert:
 Does not do any computation, but just converts the vectors to binomials.
-------------------------------------------------------------------------------
 of generators for the lattice.

instead.

Ways to use gfanLatticeIdeal:
=============================

  * "gfanLatticeIdeal(List)"

For the programmer
==================

The object gfanLatticeIdeal, is a method function with options (Macaulay2Doc).

gfanLeadingTerms -- leading terms of a list (or list of lists) of marked polynomials
************************************************************************************

Synopsis
========

  * Usage:
        T = gfanLeadingTerms(L)
        T = gfanLeadingTerms(M)
  * Inputs:
      * L, a marked polynomial list,
      * M, a list (Macaulay2Doc), of MarkedPolynomialLists
  * Optional inputs (Macaulay2Doc),:
      * m
  * Outputs:
      * T, a list (Macaulay2Doc), the leading terms of L (or lists
        of the leading terms of each list in M)

Description
===========

This method produces a list of the marked terms in a marked polynomial list. If
the m option is used it produces a list of the leading terms for a list of
marked polynomial lists.

This functionality is already provided in Macaulay 2 by the first function.

+----------------------------------------------------------------------+
|i1 : QQ[x,y,z];                                                       |
+----------------------------------------------------------------------+
|i2 : L = gfanMarkPolynomialSet({x*y^3+z^4, x^2*z^2 + y^3*z}, {-1,2,5})|
|                                                                      |
|        4       3    3      2 2                                       |
|o2 = {(z ) + x*y , (y z) + x z }                                      |
|                                                                      |
|o2 : MarkedPolynomialList                                             |
+----------------------------------------------------------------------+
|i3 : gfanLeadingTerms L                                               |
|                                                                      |
|       4   3                                                          |
|o3 = {z , y z}                                                        |
|                                                                      |
|o3 : List                                                             |
+----------------------------------------------------------------------+
|i4 : first L                                                          |
|                                                                      |
|       4   3                                                          |
|o4 = {z , y z}                                                        |
|                                                                      |
|o4 : List                                                             |
+----------------------------------------------------------------------+
|i5 : M = gfanMarkPolynomialSet({x^2*y+y*z^2, x*z^2 + x*y*z}, {-1,2,5})|
|                                                                      |
|          2     2       2                                             |
|o5 = {(y*z ) + x y, (x*z ) + x*y*z}                                   |
|                                                                      |
|o5 : MarkedPolynomialList                                             |
+----------------------------------------------------------------------+
|i6 : gfanLeadingTerms({M,L}, "m" => true)                             |
|                                                                      |
|          2     2     4   3                                           |
|o6 = {{y*z , x*z }, {z , y z}}                                        |
|                                                                      |
|o6 : List                                                             |
+----------------------------------------------------------------------+
|i7 : {M,L} / first                                                    |
|                                                                      |
|          2     2     4   3                                           |
|o7 = {{y*z , x*z }, {z , y z}}                                        |
|                                                                      |
|o7 : List                                                             |
+----------------------------------------------------------------------+

gfan Documentation

This program converts a list of polynomials
Options:
-m:
 Do the same thing for a list of polynomial
-------------------------------------------------------------------------------
to a list of their leading terms.

sets. That is, output the set of sets of leading terms.

Ways to use gfanLeadingTerms:
=============================

  * "gfanLeadingTerms(List)"
  * "gfanLeadingTerms(MarkedPolynomialList)"

For the programmer
==================

The object gfanLeadingTerms, is a method function with options (Macaulay2Doc).

gfanMarkPolynomialSet -- mark the initial terms of a list of polynomials with respect to a weight vector
********************************************************************************************************

Synopsis
========

  * Usage:
        M = gfanMarkPolynomialSet(L,W)
  * Inputs:
      * L, a list (Macaulay2Doc), of polynomials
      * W, a list (Macaulay2Doc), a weight vector
  * Outputs:
      * M, a marked polynomial list, the
        polynomials in L marked, with respect to W

Description
===========

This method marks the leading terms a given polynomial list. The leading term
of a polynomial is the term whose exponent vector has the largest dot product
with W.

+-----------------------------------------------------------------------------+
|i1 : QQ[x,y,z];                                                              |
+-----------------------------------------------------------------------------+
|i2 : gfanMarkPolynomialSet({x + y + z, x^10 + y^4 + z^2, x^2*z + y^2}, {1, 3,|
|                                                                             |
|                     4     10    2    2      2                               |
|o2 = {(z) + x + y, (y ) + x   + z , (x z) + y }                              |
|                                                                             |
|o2 : MarkedPolynomialList                                                    |
|-----------------------------------------------------------------------------|
|5})                                                                          |
+-----------------------------------------------------------------------------+

gfan Documentation

This program marks a set of polynomials with respect to the vector given at the
Options:
-------------------------------------------------------------------------------
end of the input, meaning that the largest terms are moved to the front. In
-------------------------------------------------------------------------------
case of a tie the lexicographic term order with $a>b>c...$ is used to break it.

Ways to use gfanMarkPolynomialSet:
==================================

  * "gfanMarkPolynomialSet(List,List)"

For the programmer
==================

The object gfanMarkPolynomialSet, is a
method function with options (Macaulay2Doc).

gfanMinkowskiSum -- the Minkowski sum of Newton polytopes
*********************************************************

Synopsis
========

  * Usage:
        P = gfanMinkowskiSum L
        P = gfanMinkowskiSum I
  * Inputs:
      * L, a list (Macaulay2Doc), of polynomials
      * I, an ideal (Macaulay2Doc),
  * Optional inputs (Macaulay2Doc),:
      * disableSymmetryTest
      * nocones
      * symmetry
  * Outputs:
      * P, an instance of the type Fan (Polyhedra), the normal fan
        of the Minkowski sum of the newton polytopes of the polynomials in L or
        generators of I.

Description
===========

The Newton polytope of a polynomial is the convex hull of the exponent vectors
of the terms. This method produces the normal fan of the
Minkowski sum of these polytopes, which is the same as the common refinement of
the normal fans.

+-----------------------------------------------------+
|i1 : QQ[x,y]                                         |
|                                                     |
|o1 = QQ[x..y]                                        |
|                                                     |
|o1 : PolynomialRing                                  |
+-----------------------------------------------------+
|i2 : gfanMinkowskiSum { x + y + x*y }                |
|                                                     |
|o2 = Fan{...1...}                                    |
|                                                     |
|o2 : Fan                                             |
+-----------------------------------------------------+
|i3 : gfanMinkowskiSum { x + y + x*y + 1}             |
|                                                     |
|o3 = Fan{...1...}                                    |
|                                                     |
|o3 : Fan                                             |
+-----------------------------------------------------+
|i4 : gfanMinkowskiSum { x + y + x*y, x + y + x*y + 1}|
|                                                     |
|o4 = Fan{...1...}                                    |
|                                                     |
|o4 : Fan                                             |
+-----------------------------------------------------+

gfan Documentation

This is a program for computing the normal fan of the Minkowski sum
Options:
--symmetry:
 Tells the program to read in generators for a group of symmetries

--disableSymmetryTest:
 When using --symmetry this option will disable the check that the

--nocones:
 Tell the program to not list cones in the output.
-------------------------------------------------------------------------------
 of the Newton polytopes of a list of polynomials.

(subgroup of $S_n$) after having read in the ideal. The program

group read off from the input actually is a symmetry group with
-------------------------------------------------------------------------------
checks that the ideal stays fixed when permuting the variables with respect to

respect to the input ideal.
-------------------------------------------------------------------------------
elements in the group. The program uses breadth first search to compute the set
-------------------------------------------------------------------------------
of reduced Groebner bases up to symmetry with respect to the specified
-------------------------------------------------------------------------------
subgroup.

Ways to use gfanMinkowskiSum:
=============================

  * "gfanMinkowskiSum(Ideal)"
  * "gfanMinkowskiSum(List)"

For the programmer
==================

The object gfanMinkowskiSum, is a method function with options (Macaulay2Doc).

gfanMinors -- minors of a matrix of indeterminates
**************************************************

Synopsis
========

  * Usage:
        L = gfanMinors(r,d,n)
  * Inputs:
      * r, an integer (Macaulay2Doc), size of the minor
      * d, an integer (Macaulay2Doc), number of rows
      * n, an integer (Macaulay2Doc), number of columns
  * Optional inputs (Macaulay2Doc),:
      * d
      * dressian
      * M2
      * n
      * names
      * pluckersymmetries
      * r
  * Outputs:
      * L, a list (Macaulay2Doc), a list of the rxr minors of a dxn
        matrix of indeterminates

Description
===========

The method produces the rxr minors of a dxn matrix of indeterminates. Note that
the variables in the output are indexed by strings.

+-----------------------------------------------------------------------------+
|i1 : gfanMinors(2,3,3)                                                       |
|                                                                             |
|o1 = {- m  m   + m  m  , - m  m   + m  m  , - m  m   + m  m  , - m  m   +    |
|         01 10    00 11     02 10    00 12     02 11    01 12     01 20      |
|     ------------------------------------------------------------------------|
|     m  m  , - m  m   + m  m  , - m  m   + m  m  , - m  m   + m  m  , -      |
|      00 21     02 20    00 22     02 21    01 22     11 20    10 21         |
|     ------------------------------------------------------------------------|
|     m  m   + m  m  , - m  m   + m  m  }                                     |
|      12 20    10 22     12 21    11 22                                      |
|                                                                             |
|o1 : List                                                                    |
+-----------------------------------------------------------------------------+

gfan Documentation

This program will generate the r*r minors of a d*n matrix of indeterminates.
Options:
-r value:
 Specify r.
-d value:
 Specify d.
-n value:
 Specify n.
-M2:
 Use Macaulay2 conventions for order of variables.
--names:
 Assign names to the minors.
--dressian:
 Produce tropical defining the Dressian(3,n) instead. (The signs may not be cor
--pluckersymmetries:
 Do nothing but produce symmetry generators for the Pluecker ideal.
--symmetry:
 Produces a list of generators for the group of symmetries keeping the set of m
--parametrize:
 Parametrize the set of d times n matrices of Barvinok rank less than or equal
-------------------------------------------------------------------------------
rect, that is the equations may not be Pluecker relations.)

inors fixed. (Only without --names).

to r-1 by a list of tropical polynomials.

Ways to use gfanMinors:
=======================

  * "gfanMinors(ZZ,ZZ,ZZ)"

For the programmer
==================

The object gfanMinors, is a method function with options (Macaulay2Doc).

gfanMixedVolume -- mixed volume of a list of polynomials
********************************************************

Synopsis
========

  * Usage:
        n = gfanMixedVolume(L)
  * Inputs:
      * L, a list (Macaulay2Doc), of polynomials
  * Optional inputs (Macaulay2Doc),:
      * j
  * Outputs:
      * n, an integer (Macaulay2Doc), the mixed volume for the Newton
        polytopes associated to the polynomials

Description
===========

The method outputs mixed volume for the Newton polytopes associated to the
input polynomials. The optional argument j allows the user to set the number of
threads to be used; by default, one thread is used.

+-------------------------------------------------------------+
|i1 : QQ[x1,x2,x3]                                            |
|                                                             |
|o1 = QQ[x1, x2, x3]                                          |
|                                                             |
|o1 : PolynomialRing                                          |
+-------------------------------------------------------------+
|i2 : gfanMixedVolume({x1+x2+x3,x1*x2+x2*x3+x3*x1,x1*x2*x3-1})|
|                                                             |
|o2 = 6                                                       |
+-------------------------------------------------------------+

gfan Documentation

This program computes the mixed volume of the Newton polytopes of a list
Options:
--vectorinput:
 Read in a list of point configurations instead of a polynomial ring and
--cyclic value:
 Use cyclic-n example instead of reading input.
--noon value:
 Use Noonburg-n example instead of reading input.
--chandra value:
 Use Chandrasekhar-n example instead of reading input.
--katsura value:
 Use Katsura-n example instead of reading input.
--gaukwa value:
 Use Gaukwa-n example instead of reading input.
--eco value:
 Use Eco-n example instead of reading input.
-j value:
 Number of threads
-------------------------------------------------------------------------------
of polynomials. The ring is specified on the input. After this follows the list

a list of polynomials.
-------------------------------------------------------------------------------
of polynomials.

Ways to use gfanMixedVolume:
============================

  * "gfanMixedVolume(List)"

For the programmer
==================

The object gfanMixedVolume, is a method function with options (Macaulay2Doc).

gfanOverIntegers -- all reduced Groebner bases of a polynomial ideal with coefficients in ZZ
********************************************************************************************

Synopsis
========

  * Usage:
        G = gfanOverIntegers(I)
  * Inputs:
      * I, an ideal (Macaulay2Doc), contained in a polynomial ring
        with coefficients in ZZ.  The optional second list
  * Optional inputs (Macaulay2Doc),:
      * groebnerBasis
      * groebnerFan
      * initialIdeal
  * Outputs:
      * F, an instance of the type Fan (Polyhedra),
      * G, a list (Macaulay2Doc), all marked reduced Groebner bases
        (missing documentation) of I.
      * L, a list (Macaulay2Doc),

Description
===========

This method produces all reduced Groebner basis of a polynomial ideal with
coefficients in ZZ.  The input is given as an Ideal.  If just the ideal is
given then the option "groebnerFan" => true" should also be added.  For the
second version, the list w is a weight vector for which the initial ideal or
Groebner basis will be computed (depending on whether "initialIdeal=>true" or
"groebnerBasis"=>true is set).  Only one of these two can be set.  Note that
the Groebner fan over ZZ is more refined than the Groebner fan of the
corresponding ideal with coefficients in QQ.

+------------------------------------------------------+
|i1 : R=ZZ[x,y]                                        |
|                                                      |
|o1 = R                                                |
|                                                      |
|o1 : PolynomialRing                                   |
+------------------------------------------------------+
|i2 : I=ideal(x^2-y^2,2*x)                             |
|                                                      |
|             2    2                                   |
|o2 = ideal (x  - y , 2x)                              |
|                                                      |
|o2 : Ideal of R                                       |
+------------------------------------------------------+
|i3 : F=gfanOverIntegers(I,"groebnerFan"=>true)        |
|                                                      |
|o3 = F                                                |
|                                                      |
|o3 : Fan                                              |
+------------------------------------------------------+
|i4 : rays F                                           |
|                                                      |
|o4 = | 1  -1 |                                        |
|     | -1 1  |                                        |
|                                                      |
|              2       2                               |
|o4 : Matrix ZZ  <-- ZZ                                |
+------------------------------------------------------+
|i5 : linealitySpace F                                 |
|                                                      |
|o5 = | 1 |                                            |
|     | 1 |                                            |
|                                                      |
|              2       1                               |
|o5 : Matrix ZZ  <-- ZZ                                |
+------------------------------------------------------+
|i6 : maxCones F                                       |
|                                                      |
|o6 = {{1}, {0}}                                       |
|                                                      |
|o6 : List                                             |
+------------------------------------------------------+
|i7 : G=gfanOverIntegers(I,{1,0},"groebnerBasis"=>true)|
|                                                      |
|        2     2           2                           |
|o7 = {(x ) + y , (2x), (2y )}                         |
|                                                      |
|o7 : MarkedPolynomialList                             |
+------------------------------------------------------+
|i8 : H=gfanOverIntegers(I,{1,0},"initialIdeal"=>true) |
|                                                      |
|       2        2                                     |
|o8 = {x , 2x, 2y }                                    |
|                                                      |
|o8 : List                                             |
+------------------------------------------------------+

gfan Documentation

This program is an experimental implementation of Groebner bases for ideals in
Several operations are supported by specifying the appropriate option:
 (1) computation of the reduced Groebner basis with respect to a given vector (
 (2) computation of an initial ideal,
 (3) computation of the Groebner fan,
 (4) computation of a single Groebner cone.
Since Gfan only knows polynomial rings with coefficients being elements of a fi
NOTE: This program is experimental and expected to change behaviour in future r
Options:
--groebnerBasis:
 Asks the program to compute a marked Groebner basis with respect to a weight v
The input order is: Ring ideal vector.

--initialIdeal:
 Asks the program to compute an initial ideal with respect to a vector. The inp

--groebnerFan:
 Asks the program to compute the Groebner fan.
 The input order is: Ring ideal.

--groebnerCone:
 Asks the program to compute a single Groebner cone containing the specified ve
-m:
 For the operations taking a vector as input, read in a list of vectors instead
-g:
 Tells the program that the input is already a Groebner basis (with the initial
-------------------------------------------------------------------------------
Z[x_1,...,x_n].

tiebroken lexicographically),

eld, the ideal is specified by giving a set of polynomials in the polynomial
eleases, so don't write your SAGE and M2 interfaces just yet.

ector tie-broken lexicographically.

ut order is: Ring ideal vector.

ctor in its relative interior. The output is stored as a fan. The input order

, and perform the operation for each vector in the list.

 term of each polynomial being the first ones listed). Use this option if the
-------------------------------------------------------------------------------
ring Q[x_1,...,x_n]. That is, by using Q instead of Z when specifying the ring.

 is: Ring ideal vector.

 usual --groebnerFan is too slow.
-------------------------------------------------------------------------------
The ideal MUST BE HOMOGENEOUS (in a positive grading) for computation of the
-------------------------------------------------------------------------------
Groebner fan. Non-homogeneous ideals are allowed for the other computations if
-------------------------------------------------------------------------------
the specified weight vectors are positive.

Ways to use gfanOverIntegers:
=============================

  * "gfanOverIntegers(Ideal)"
  * "gfanOverIntegers(Ideal,List)"

For the programmer
==================

The object gfanOverIntegers, is a method function with options (Macaulay2Doc).

gfanParsePolyhedralFan
**********************

Ways to use gfanParsePolyhedralFan:
===================================

  * gfanParsePolyhedralFan(String) (missing documentation)

For the programmer
==================

The object gfanParsePolyhedralFan (missing documentation) is a method function with options (Macaulay2Doc).

gfanPolynomialSetUnion -- union of two lists of polynomials
***********************************************************

Synopsis
========

  * Usage:
        U = gfanPolynomialSetUnion(M,N)
        U = gfanPolynomialSetUnion(M,L)
        U = gfanPolynomialSetUnion(L,M)
        U = gfanPolynomialSetUnion(L,K)
  * Inputs:
      * M, a marked polynomial list,
      * N, a marked polynomial list,
      * L, a list (Macaulay2Doc),
      * K, a list (Macaulay2Doc),
  * Optional inputs (Macaulay2Doc),:
      * s
  * Outputs:
      * U, a marked polynomial list, the union of
        lists the two inputs

Description
===========

This method produces the union of two lists of polynomials. For this method
when using MarkedpolynomialLists, the marked term of the polynomial is not
considered. That is to say, the union is taken as if the polynomials were not
marked. The resulting polynomials in the output are marked with preference
given to the marked terms in the first argument.

+----------------------------------------------+
|i1 : QQ[x,y,z];                               |
+----------------------------------------------+
|i2 : f = x + y + z;                           |
+----------------------------------------------+
|i3 : g = x + y;                               |
+----------------------------------------------+
|i4 : h = y + z;                               |
+----------------------------------------------+
|i5 : L = markedPolynomialList {{z, y}, {f,g}} |
|                                              |
|o5 = {(z) + x + y, (y) + x}                   |
|                                              |
|o5 : MarkedPolynomialList                     |
+----------------------------------------------+
|i6 : M = markedPolynomialList {{x, y} , {f,h}}|
|                                              |
|o6 = {(x) + y + z, (y) + z}                   |
|                                              |
|o6 : MarkedPolynomialList                     |
+----------------------------------------------+
|i7 : gfanPolynomialSetUnion(L,M)              |
|                                              |
|o7 = {(z) + x + y, (y) + x, (y) + z}          |
|                                              |
|o7 : MarkedPolynomialList                     |
+----------------------------------------------+
|i8 : gfanPolynomialSetUnion({f,g},{f,h})      |
|                                              |
|o8 = {(x) + y + z, (x) + y, (y) + z}          |
|                                              |
|o8 : MarkedPolynomialList                     |
+----------------------------------------------+

gfan Documentation

This program computes the union of a list of polynomial sets given as input.
Options:
-s:
 Sort output by degree.
-------------------------------------------------------------------------------
The polynomials must all belong to the same ring. The ring is specified on the
-------------------------------------------------------------------------------
input. After this follows the list of polynomial sets.

Ways to use gfanPolynomialSetUnion:
===================================

  * "gfanPolynomialSetUnion(List,List)"
  * "gfanPolynomialSetUnion(List,MarkedPolynomialList)"
  * "gfanPolynomialSetUnion(MarkedPolynomialList,List)"
  * "gfanPolynomialSetUnion(MarkedPolynomialList,MarkedPolynomialList)"

For the programmer
==================

The object gfanPolynomialSetUnion, is a
method function with options (Macaulay2Doc).

gfanRender -- render an image of a Groebner fan
***********************************************

Synopsis
========

  * Usage:
        gfanRender(L)
  * Inputs:
      * fileName, a string (Macaulay2Doc), the name of the file
        to be output, given without an extension
      * L, a list (Macaulay2Doc), all marked reduced Groebner bases,
        of I or an ideal
  * Optional inputs (Macaulay2Doc),:
      * L
      * shiftVariables

Description
===========

This method renders the Groebner fan of an ideal and writes it to a .fig file.
If fig2dev is installed then the .fig file will be converted to .png and
displayed. The names of the .fig and .png files are printed on standard out.

This method may support more options in the future to control rendering,
conversion, and display. It may also eventually output file names in a list.

gfan Documentation

This program renders a Groebner fan as
Options:
-L:
 Make the triangle larger so that the
--shiftVariables value:
 Shift the positions of the variables
-------------------------------------------------------------------------------
 an xfig file. To be more precise, the input is the

shape of the Groebner region appears.

in the drawing. For example with the value equal to
-------------------------------------------------------------------------------
list of all reduced Groebner bases of an ideal. The output is a

1 the corners will be right: (0,1,0,0,...), left: (0,0,1,0,...)
-------------------------------------------------------------------------------
drawing of the Groebner fan intersected with a triangle. The corners of the

and top: (0,0,0,1,...). The shifting is done modulo the number of variables
-------------------------------------------------------------------------------
triangle are (1,0,0) to the right, (0,1,0) to the left and (0,0,1) at the top.

in the polynomial ring. The default value is 0.
-------------------------------------------------------------------------------
If there are more than three variables in the ring these coordinates are
-------------------------------------------------------------------------------
extended with zeros. It is possible to shift the 1 entry cyclic with the option
-------------------------------------------------------------------------------
--shiftVariables.

Ways to use gfanRender:
=======================

  * "gfanRender(List)"
  * "gfanRender(String,List)"

For the programmer
==================

The object gfanRender, is a method function with options (Macaulay2Doc).

gfanRenderStaircase -- render the staircase of a monomial initial ideal
***********************************************************************

Synopsis
========

  * Usage:
        gfanRenderStaircase(L)
        gfanRenderStaircase(fileName, L)
  * Inputs:
      * fileName, a string (Macaulay2Doc), the name of the file
        to be output, given without an extension
      * L, a list (Macaulay2Doc), a marked Groebner basis,
        or lists of marked Groebner bases,
        (for use with the m option)
  * Optional inputs (Macaulay2Doc),:
      * d
      * m
      * w

Description
===========

This method renders the staircase of the monomial initial ideal of the given
Groebner basis (or bases in the case of the m option). The rendered image is
written to a .fig file. If fig2dev is installed then the .fig file will be
converted to .png and displayed. The names of the .fig and .png files are
printed on standard out.

This method may support more options in the future to control rendering,
conversion, and display. It may also eventually output file names in a list.

gfan Documentation

This program renders a staircase diagram of a monomial initial
Options:
-m:
 Read multiple ideals from the input. The ideals are given as

-d value:
 Specifies the number of boxes being shown along each axis. Be

-w value:
 Width. Specifies the number of staircase diagrams per row in
-------------------------------------------------------------------------------
 ideal to an xfig file. The input is a Groebner basis of

a list of lists of polynomials. For each polynomial list

 sure that this number is large enough to give a correct

the xfig file. The default value is 5.
-------------------------------------------------------------------------------
a (not necessarily monomial) polynomial ideal. The initial ideal is given by

in the list a staircase diagram is drawn.

picture of the standard monomials. The default value is 8.
-------------------------------------------------------------------------------
the leading terms in the Groebner basis. Using the -m option it is possible to
-------------------------------------------------------------------------------
render more than one staircase diagram. The program only works for ideals in a
-------------------------------------------------------------------------------
polynomial ring with three variables.

Ways to use gfanRenderStaircase:
================================

  * "gfanRenderStaircase(List)"
  * "gfanRenderStaircase(String,List)"

For the programmer
==================

The object gfanRenderStaircase, is a method function with options (Macaulay2Doc).

gfanResultantFan -- Tropical variety of the sparse (toric) resultant variety.
*****************************************************************************

Synopsis
========

  * Usage:
        gfanRenderStaircase(L)
  * Inputs:
      * L, a list (Macaulay2Doc),
  * Optional inputs (Macaulay2Doc),:
      * special
      * vectorinput

Description
===========

This method computes the tropical variety of a sparse (toric) resultant
variety.

gfan Documentation

This program computes the resultant fan as defined in "Computing Tropical Resul
Options:
--codimension:
 Compute only the codimension of the resultant fan and return.

--symmetry:
 Tells the program to read in generators for a group of symmetries (subgroup of

--nocones:
 Tells the program not to output the CONES and MAXIMAL_CONES sections, but stil

--special:
 Read in a zero-one vector from the standard input and specialize all variables

--vectorinput:
 Read in a list of point configurations instead of a polynomial ring and a list

--projection:
 Use the projection method to compute the resultant fan. This works only if the
-------------------------------------------------------------------------------
tants" by Jensen and Yu. The input is a polynomial ring followed by polynomials

 $S_n$) after having read in the vector configuration. The program DOES NOT che

l output CONES_COMPRESSED and MAXIMAL_CONES_COMPRESSED if --symmetry is used.

 with a one. That is, compute the stable intersection of the resultant fan with

 of polynomials.

 resultant fan is a hypersurface. If this option is combined with --special, th
-------------------------------------------------------------------------------
, whose coefficients are ignored. The output is the fan of coefficients such th

cks that the configuration stays fixed when permuting the variables with respec

 the subspace where the variables with a one in the vector are forced to zero.

en the output fan lives in the subspace of the non-specialized coordinates.
-------------------------------------------------------------------------------
at the input system has a tropical solution.

t to elements in the group. The output is grouped according to the symmetry.

AT THE MOMENT ALSO A RELATIVE INTERIOR POINT OF A STARTING CONE IS READ.

Ways to use gfanResultantFan:
=============================

  * "gfanResultantFan(List)"

For the programmer
==================

The object gfanResultantFan, is a method function with options (Macaulay2Doc).

gfanSaturation -- saturation of an ideal
****************************************

Synopsis
========

  * Usage:
        gfanSaturation(I)
  * Inputs:
      * I, an ideal (Macaulay2Doc),
  * Optional inputs (Macaulay2Doc),:
      * h
  * Outputs:
      * L, a list (Macaulay2Doc), polynomials generating the
        saturation of I with the product of the variables of the ring of I

Description
===========

This method computes the saturation of an ideal with respect to the product of
the generators of the ideal's ring.

+---------------------------------------+
|i1 : QQ[x,y,z];                        |
+---------------------------------------+
|i2 : I = ideal(y*z*(x-1), x*(z^2 - y));|
|                                       |
|o2 : Ideal of QQ[x..z]                 |
+---------------------------------------+
|i3 : gfanSaturation I                  |
|                                       |
|       2                               |
|o3 = {z  - y, x - 1}                   |
|                                       |
|o3 : List                              |
+---------------------------------------+

gfan Documentation

This program computes the saturation
Options:
-h:
 Tell the program that the input is

--noideal:
 Do not treat input as an ideal but
-------------------------------------------------------------------------------
 of the input ideal with the product of the variables x_1,...,x_n. The ideal

a homogeneous ideal (with homogeneous generators).

just factor out common monomial factors of the input polynomials.
-------------------------------------------------------------------------------
does not have to be homogeneous.

Ways to use gfanSaturation:
===========================

  * "gfanSaturation(Ideal)"

For the programmer
==================

The object gfanSaturation, is a method function with options (Macaulay2Doc).

gfanSecondaryFan -- computes the secondary fan of a vector configuration
************************************************************************

Synopsis
========

  * Usage:
        F = gfanSecondaryFan L
  * Inputs:
      * L, a list (Macaulay2Doc), of integer vectors
  * Optional inputs (Macaulay2Doc),:
      * scale
      * symmetry
      * unimodular
  * Outputs:
      * F, an instance of the type Fan (Polyhedra), the secondary
        fan of L

Description
===========

This method computes the secondary fan of a list of vectors.

+-------------------------------------------------+
|i1 : gfanSecondaryFan {{1,0},{1,1}, {1,2}, {1,2}}|
|                                                 |
|o1 = Fan{...1...}                                |
|                                                 |
|o1 : Fan                                         |
+-------------------------------------------------+

gfan Documentation

This program computes the secondary fan of a vector configuration. The configur
Options:
--unimodular:
 Use heuristics to search for unimodular triangulation rather than computing th
--scale value:
 Assuming that the first coordinate of each vector is 1, this option will take
--restrictingfan value:
 Specify the name of a file containing a polyhedral fan in Polymake format. The

--symmetry:
 Tells the program to read in generators for a group of symmetries (subgroup of

--nocones:
 Tells the program not to output the CONES and MAXIMAL_CONES sections, but stil
--interrupt value:
 Interrupt the enumeration after a specified number of facets have been compute
-------------------------------------------------------------------------------
ation is given as an ordered list of vectors. In order to compute the secondary

e complete secondary fan

the polytope in the 1 plane and scale it. The point configuration will be all l

 computation of the Secondary fan will be restricted to this fan. If the --symm

 $S_n$) after having read in the vector configuration. The program checks that

l output CONES_COMPRESSED and MAXIMAL_CONES_COMPRESSED if --symmetry is used.

d (works for usual symmetric traversals, but may not work in general for non-sy
-------------------------------------------------------------------------------
 fan of a point configuration an additional coordinate of ones must be added. F

attice points in that scaled polytope. The polytope must have maximal dimension

etry option is used then this restricting fan must be invariant under the symme

the configuration stays fixed when permuting the variables with respect to elem

mmetric traversals or for traversals restricted to fans).
-------------------------------------------------------------------------------
or example {(1,0),(1,1),(1,2),(1,3)}.

. When this option is used the vector configuration must have full rank. This

try and the orbits in the file must be with respect to the specified group of

ents in the group. The output is grouped according to the symmetry.
-------------------------------------------------------------------------------
option may be removed in the future.

symmetries. The orbits of maximal cones of the file are then read in rather
-------------------------------------------------------------------------------
than the maximal cones.

Ways to use gfanSecondaryFan:
=============================

  * "gfanSecondaryFan(List)"

For the programmer
==================

The object gfanSecondaryFan, is a method function with options (Macaulay2Doc).

gfanStableIntersection -- computes the stable intersection of two balanced fans
*******************************************************************************

Synopsis
========

  * Usage:
        gfanStableIntersection(Fan,List,Fan,List)
  * Inputs:
      * F, an instance of the type Fan (Polyhedra),
      * m1, a list (Macaulay2Doc),
      * G, an instance of the type Fan (Polyhedra),
      * m2, a list (Macaulay2Doc),
  * Optional inputs (Macaulay2Doc),:
      * i1
      * i2
  * Outputs:
      * H, an instance of the type Fan (Polyhedra),

Description
===========

This function computes the stable intersection of two balanced fans.  The input
is two fans, and two lists of multiplicities that makes the fan balanced.  The
function does not check whether this fan is in fact balanced.

Ways to use gfanStableIntersection:
===================================

  * gfanStableIntersection(Fan,List,Fan,List) (missing documentation)

For the programmer
==================

The object gfanStableIntersection, is a
method function with options (Macaulay2Doc).

gfanStats -- display certain properties of a list of polynomials
****************************************************************

Synopsis
========

  * Usage:
        gfanStats(L)
  * Inputs:
      * L, a list (Macaulay2Doc), containing lists of marked Groebner bases,
  * Outputs:
      * S, a string (Macaulay2Doc), describing the bases in L

Description
===========

This method outputs various information on a list of Groebner bases. The
results are not parsed.

+-------------------------------------------------------+
|i1 : QQ[x,y,z];                                        |
+-------------------------------------------------------+
|i2 : L = gfan {x*y + z}                                |
|                                                       |
|o2 = {{(x*y) + z}, {(z) + x*y}}                        |
|                                                       |
|o2 : List                                              |
+-------------------------------------------------------+
|i3 : gfanStats L                                       |
|                                                       |
|o3 = Number of reduced Groebner bases: 2               |
|     Number of variables: 3                            |
|     Dimension of homogeneity space: 2                 |
|     Maximal total degree of a Groebner basis: 2       |
|     Minimal total degree of a Groebner basis: 2       |
|     Maximal number of polynomials in Groebner basis: 1|
|     Maximal number of terms in Groebner basis: 2      |
+-------------------------------------------------------+

gfan Documentation

This program takes a list of reduced Groebner bases for the same ideal and
Options:
-------------------------------------------------------------------------------
computes various statistics. The following information is listed: the number of
-------------------------------------------------------------------------------
bases in the input, the number of variables, the dimension of the homogeneity
-------------------------------------------------------------------------------
space, the maximal total degree of any polynomial in the input and the minimal
-------------------------------------------------------------------------------
total degree of any basis in the input, the maximal number of polynomials and
-------------------------------------------------------------------------------
terms in a basis in the input.

Ways to use gfanStats:
======================

  * "gfanStats(List)"

For the programmer
==================

The object gfanStats, is a method function with options (Macaulay2Doc).

gfanSubstitute -- rename the variables of a list of polynomials
***************************************************************

Synopsis
========

  * Usage:
        gfanSubstitute(M,R)
        gfanSusbtitute(L,R)
        gfanSubstitute(I,R)
  * Inputs:
      * M, a marked polynomial list, of
        polynomials
      * L, a list (Macaulay2Doc), of polynomials
      * I, an ideal (Macaulay2Doc),
      * R, a polynomial ring (Macaulay2Doc), with the
        same number of variables as the ring of the polynomials in M, L and I.
  * Outputs:
      * L, a list (Macaulay2Doc), of polynomials from L with
        variables replaced by those in R

Description
===========

This method replaces each variable in a marked polynomial list with variables
from a different ring.

+-----------------------------------------------------------------+
|i1 : R = QQ[z,a,b];                                              |
+-----------------------------------------------------------------+
|i2 : S = QQ[x,y,z];                                              |
+-----------------------------------------------------------------+
|i3 : L = markedPolynomialList{{x*y, z^2} , {x*y+ z^2, x*y + z^2}}|
|                                                                 |
|               2    2                                            |
|o3 = {(x*y) + z , (z ) + x*y}                                    |
|                                                                 |
|o3 : MarkedPolynomialList                                        |
+-----------------------------------------------------------------+
|i4 : gfanSubstitute(L, R)                                        |
|                                                                 |
|               2    2                                            |
|o4 = {(z*a) + b , (b ) + z*a}                                    |
|                                                                 |
|o4 : MarkedPolynomialList                                        |
+-----------------------------------------------------------------+

Caution should be used as this method invokes use R which changes the global
symbol table. It would be preferable to use the map command which is built into
Macaulay 2. A ring map can be applied directly to a marked polynomial list.

+-----------------------------+
|i5 : f = map(R,S, {z,a,b})   |
|                             |
|o5 = map (R, S, {z, a, b})   |
|                             |
|o5 : RingMap R <-- S         |
+-----------------------------+
|i6 : f L                     |
|                             |
|               2    2        |
|o6 = {(z*a) + b , (b ) + z*a}|
|                             |
|o6 : MarkedPolynomialList    |
+-----------------------------+

gfan Documentation

This program changes the variable names of a polynomial ring. The input is a
Example:
Input:
Q[a,b,c,d]{2a-3b,c+d}Q[b,a,c,x]
Output:
Q[b,a,c,x]{2*b-3*a,c+x}
Options:
-------------------------------------------------------------------------------
polynomial ring, a polynomial set in the ring and a new polynomial ring with
-------------------------------------------------------------------------------
the same coefficient field but different variable names. The output is the
-------------------------------------------------------------------------------
polynomial set written with the variable names of the second polynomial ring.

Ways to use gfanSubstitute:
===========================

  * "gfanSubstitute(Ideal,PolynomialRing)"
  * "gfanSubstitute(List,PolynomialRing)"
  * "gfanSubstitute(MarkedPolynomialList,PolynomialRing)"

For the programmer
==================

The object gfanSubstitute, is a method function with options (Macaulay2Doc).

gfanToLatex -- convert a list of polynomials to LaTeX
*****************************************************

Synopsis
========

  * Usage:
        gfanToLatex(L)
        gfanToLatex(M)
  * Inputs:
      * L, a list (Macaulay2Doc), of marked polynomial lists or a
        marked polynomial list (for the polynomialset option)
      * M, a marked polynomial list,
  * Optional inputs (Macaulay2Doc),:
      * h
      * polynomialset
      * polynomialsetlist
  * Outputs:
      * S, a string (Macaulay2Doc), LaTeX markup for L

Description
===========

This method converts marked polynomial lists and lists of marked polynomial
lists to latex. If the given input is a list, the option polynomialsetlist is
assumed. Similarly, if the input is a marked polynomial list then polynomialset
is assumed.

+-----------------------------------------------------------------------------+
|i1 : QQ[x,y,z];                                                              |
+-----------------------------------------------------------------------------+
|i2 : L = gfan{x^2 + y*z, z^2 + y*z}                                          |
|                                                                             |
|                2    2     2      2           2             4     2 2    2   |
|o2 = {{(y*z) + z , (x ) - z }, {(x ) + y*z, (z ) + y*z}, {(x ) - x y , (x z) |
|     ------------------------------------------------------------------------|
|        2     2     2           2      2      2     2     2    2 2     4     |
|     + x y, (z ) - x , (y*z) + x }, {(x z) + x y, (z ) - x , (x y ) - x ,    |
|     ------------------------------------------------------------------------|
|              2      2      2            2    2     2                        |
|     (y*z) + x }, {(x y) + x z, (y*z) + x , (z ) - x }}                      |
|                                                                             |
|o2 : List                                                                    |
+-----------------------------------------------------------------------------+
|i3 : gfanToLatex L                                                           |
|                                                                             |
|o3 =  $ \{\{yz+z^{2},                                                        |
|     x^{2}-z^{2}\}                                                           |
|     ,                                                                       |
|     \{x^{2}+yz,                                                             |
|     z^{2}+yz\}                                                              |
|     ,                                                                       |
|     \{x^{4}-x^{2}y^{2},                                                     |
|     x^{2}z+x^{2}y,                                                          |
|     z^{2}-x^{2},                                                            |
|     yz+x^{2}\}                                                              |
|     ,                                                                       |
|     \{x^{2}z+x^{2}y,                                                        |
|     z^{2}-x^{2},                                                            |
|     x^{2}y^{2}-x^{4},                                                       |
|     yz+x^{2}\}                                                              |
|     ,                                                                       |
|     \{x^{2}y+x^{2}z,                                                        |
|     yz+x^{2},                                                               |
|     z^{2}-x^{2}\}                                                           |
|     \}                                                                      |
|      $                                                                      |
+-----------------------------------------------------------------------------+
|i4 : gfanToLatex first L                                                     |
|                                                                             |
|o4 =  $ \{yz+z^{2},                                                          |
|     x^{2}-z^{2}\}                                                           |
|      $                                                                      |
+-----------------------------------------------------------------------------+
|i5 : gfanToLatex({{x,z}, {x+y, x+z}}, "polynomialset" => true)               |
|                                                                             |
|o5 =  $ \{x+y,                                                               |
|     z+x\}                                                                   |
|      $                                                                      |
+-----------------------------------------------------------------------------+

gfan Documentation

This program converts ASCII math to TeX math. The data-type is specified by
Options:
-h:
 Add a header to the output. Using this option the output will be LaTeXable
--polynomialset_:
 The data to be converted is a list of polynomials.
--polynomialsetlist_:
 The data to be converted is a list of lists of polynomials.
-------------------------------------------------------------------------------
the options.

right away.

Ways to use gfanToLatex:
========================

  * "gfanToLatex(List)"
  * "gfanToLatex(MarkedPolynomialList)"

For the programmer
==================

The object gfanToLatex, is a method function with options (Macaulay2Doc).

gfanToPolyhedralFan -- polyhedral data about the fan of a list of Groebner bases
********************************************************************************

Synopsis
========

  * Usage:
        gfanToPolyhedralFan(L)
  * Inputs:
      * L, a list (Macaulay2Doc), containing marked reduced Groebner bases,
  * Optional inputs (Macaulay2Doc),:
      * restrict
      * symmetry
  * Outputs:
      * P, an instance of the type Fan (Polyhedra), the fan of the
        Groebner bases in L

Description
===========

This method takes a list of marked reduced Groebner bases,
and outputs a polyhedral fan whose faces correspond to
the marked Groebner bases.

For example, $x + y$ is a marked Groebner basis with initial term $x$ for any
weight vector $(a,b)$ with $a < b$.

+-----------------------------------------+
|i1 : QQ[x,y]                             |
|                                         |
|o1 = QQ[x..y]                            |
|                                         |
|o1 : PolynomialRing                      |
+-----------------------------------------+
|i2 : M = markedPolynomialList {{x},{x+y}}|
|                                         |
|o2 = {(x) + y}                           |
|                                         |
|o2 : MarkedPolynomialList                |
+-----------------------------------------+
|i3 : F = gfanToPolyhedralFan { M }       |
|                                         |
|o3 = F                                   |
|                                         |
|o3 : Fan                                 |
+-----------------------------------------+

The single facet above is $\mathbb R_{\geq 0} (1,-1) + \mathbb R (1,1)$ from
reading off the ray and the lineality space. This corresponds to $\{(a,b) \mid
a < b\}$.

Adding in the Groebner basis with $y$ as the initial term gives a second facet.

+-----------------------------------------+
|i4 : L = markedPolynomialList {{y},{x+y}}|
|                                         |
|o4 = {(y) + x}                           |
|                                         |
|o4 : MarkedPolynomialList                |
+-----------------------------------------+
|i5 : F = gfanToPolyhedralFan { M, L }    |
|                                         |
|o5 = F                                   |
|                                         |
|o5 : Fan                                 |
+-----------------------------------------+

gfan Documentation

This program takes a list of reduced Groebner bases
Options:
--restrict:
 Add an inequality for each coordinate, so that the
--symmetry:
 Tell the program to read in generators for a group
-------------------------------------------------------------------------------
and produces the fan of all faces of these. In this way by giving the complete

the cones are restricted to the non-negative orthant.

of symmetries (subgroup of $S_n$) after having read in the ring. The output is
-------------------------------------------------------------------------------
list of reduced Groebner bases, the Groebner fan can be computed as

grouped according to these symmetries. Only one representative for
-------------------------------------------------------------------------------
 a polyhedral complex. The option --restrict lets the user choose between

each orbit is needed on the input.
-------------------------------------------------------------------------------
computing the Groebner fan or the restricted Groebner fan.

Ways to use gfanToPolyhedralFan:
================================

  * "gfanToPolyhedralFan(List)"

For the programmer
==================

The object gfanToPolyhedralFan, is a method function with options (Macaulay2Doc).

gfanTropicalBasis -- tropical basis of an ideal
***********************************************

Synopsis
========

  * Usage:
        gfanTropicalBasis(I)
  * Inputs:
      * I, an ideal (Macaulay2Doc),
  * Optional inputs (Macaulay2Doc),:
      * h
  * Outputs:
      * L, a list (Macaulay2Doc), of polynomials that give a
        tropical basis of I

Description
===========

This method produces a tropical basis of a given homogeneous ideal. If the
ideal is not homogeneous, it must be homogenized using the h option.

+-----------------------------------------------+
|i1 : QQ[x,y];                                  |
+-----------------------------------------------+
|i2 : gfanTropicalBasis ideal {x^2+y^2, x^2-x*y}|
|                                               |
|       2    2   2                              |
|o2 = {x  + y , x  - x*y, 1}                    |
|                                               |
|o2 : List                                      |
+-----------------------------------------------+

gfan Documentation

This program computes a tropical basis
Options:
-h:
 Homogenise the input before computing
-------------------------------------------------------------------------------
for an ideal defining a tropical curve. Defining a

a tropical basis and dehomogenise the output. This
-------------------------------------------------------------------------------
tropical curve means that the Krull dimension of R/I is at most 1 + the

is needed if the input generators are not already homogeneous.
-------------------------------------------------------------------------------
dimension of the homogeneity space of I where R is the polynomial ring. The
-------------------------------------------------------------------------------
input is a generating set for the ideal. If the input is not homogeneous option
-------------------------------------------------------------------------------
-h must be used.

Ways to use gfanTropicalBasis:
==============================

  * "gfanTropicalBasis(Ideal)"

For the programmer
==================

The object gfanTropicalBasis, is a method function with options (Macaulay2Doc).

gfanTropicalBruteForce -- computes the tropical variety of an ideal
*******************************************************************

Synopsis
========

  * Usage:
        gfanTropicalBruteForce(L)
  * Inputs:
      * L, a marked polynomial list, a marked
        reduced Groebner basis for a homogeneous ideal
  * Outputs:
      * F, an instance of the type Fan (Polyhedra), describing the
        tropical variety of the ideal of L

Description
===========

This method computes the tropical variety of a marked reduced Groebner basis
(given in the form of a marked polynomial list).

The following example is taken from the gfan documentation (v0.4 p.20).

+-----------------------------------------------------------------------------+
|i1 : QQ[a,b,c,d,e,f,g,h,i,j]                                                 |
|                                                                             |
|o1 = QQ[a..j]                                                                |
|                                                                             |
|o1 : PolynomialRing                                                          |
+-----------------------------------------------------------------------------+
|i2 : gfanTropicalBruteForce gfanBuchberger ideal "bf-ah-ce, bg-ai-de,        |
|                                                                             |
|o2 = Fan{...1...}                                                            |
|                                                                             |
|o2 : Fan                                                                     |
|-----------------------------------------------------------------------------|
|cg-aj-df, ci-bj-dh, fi-ej-gh"                                                |
+-----------------------------------------------------------------------------+

gfan Documentation

This program takes a marked reduced Groebner basis for a homogeneous ideal and
Options:
-------------------------------------------------------------------------------
computes the tropical variety of the ideal as a subfan of the Groebner fan. The
-------------------------------------------------------------------------------
program is slow but works for any homogeneous ideal. If you know that your
-------------------------------------------------------------------------------
ideal is prime over the complex numbers or you simply know that its tropical
-------------------------------------------------------------------------------
variety is pure and connected in codimension one then use
-------------------------------------------------------------------------------
gfan_tropicalstartingcone and gfan_tropicaltraverse instead.

Ways to use gfanTropicalBruteForce:
===================================

  * "gfanTropicalBruteForce(List)"

For the programmer
==================

The object gfanTropicalBruteForce, is a
method function with options (Macaulay2Doc).

gfanTropicalEvaluation -- evaluates a tropical polynomial function
******************************************************************

Synopsis
========

  * Usage:
        Y = gfanTropical(f, L)
  * Inputs:
      * f, a ring element (Macaulay2Doc), a polynomial
      * L, a list (Macaulay2Doc), of points
  * Outputs:
      * Y, a list (Macaulay2Doc), the values of the tropicalization
        of f evaluated at each of the points in L

Description
===========

This method evaluates a tropical polynomial function at a list of points.

+------------------------------------------------------------------+
|i1 : QQ[x,y,z]                                                    |
|                                                                  |
|o1 = QQ[x..z]                                                     |
|                                                                  |
|o1 : PolynomialRing                                               |
+------------------------------------------------------------------+
|i2 : gfanTropicalEvaluation(x*y+z^2, {{1,1,0}, {0,0,3}, {1,1,3} })|
|                                                                  |
|o2 = {2, 6, 6}                                                    |
|                                                                  |
|o2 : List                                                         |
+------------------------------------------------------------------+

gfan Documentation

This program evaluates a tropical polynomial function in a given set of points.
Options:

See also
========

  * gfanTropicalFunction -- tropicalizes a
    polynomial

Ways to use gfanTropicalEvaluation:
===================================

  * "gfanTropicalEvaluation(RingElement,List)"

For the programmer
==================

The object gfanTropicalEvaluation, is a
method function with options (Macaulay2Doc).

gfanTropicalFunction -- tropicalizes a polynomial
*************************************************

Synopsis
========

  * Usage:
        F = gfanTropicalFunction(f)
  * Inputs:
      * f, a ring element (Macaulay2Doc), a polynomial
  * Outputs:
      * F, an instance of the type Fan (Polyhedra), the
        tropicalization of f

Description
===========

This method tropicalizes a polynomial. The output is a piecewise linear
function given in the form of a polyhedral fan.

For example, the tropicalization of $x*y + z^2$ is max$(x+y, 2z)$.

+----------------------------------+
|i1 : QQ[x,y,z]                    |
|                                  |
|o1 = QQ[x..z]                     |
|                                  |
|o1 : PolynomialRing               |
+----------------------------------+
|i2 : gfanTropicalFunction(x*y+z^2)|
|                                  |
|o2 = Fan{...1...}                 |
|                                  |
|o2 : Fan                          |
+----------------------------------+

To evaluate the tropical function at a point $p$, as given by the polyhedral
data above, we write it a linear combination of the appropriate ray and
lineality vectors. The coefficients used are then combined in a linear
combination with the given ray values.

For instance the point $p = (1, 7, 13)$ can be written as $3(-1,-1,2) +
2(2,0,1) + 5(0,2,1)$. The values on the these rays are $4, 2$ and $2$
respectively. Thus the tropical function evaluated at $p$ is $3*4 + 2*2 + 5*2 =
26$.

gfan Documentation

This program takes a polynomial and tropicalizes it. The output is piecewise
--exponents:
 Tell program to read a list of exponent vectors instead.
-------------------------------------------------------------------------------
linear function represented by a fan whose cones are the linear regions. Each
-------------------------------------------------------------------------------
ray of the fan gets the value of the tropical function assigned to it. In other
-------------------------------------------------------------------------------
words this program computes the normal fan of the Newton polytope of the input
-------------------------------------------------------------------------------
polynomial with additional information.Options:

See also
========

  * gfanTropicalEvaluation -- evaluates a
    tropical polynomial function

Ways to use gfanTropicalFunction:
=================================

  * "gfanTropicalFunction(RingElement)"

For the programmer
==================

The object gfanTropicalFunction, is a method function with options (Macaulay2Doc).

gfanTropicalHyperSurface -- the tropical hypersurface of a principal ideal
**************************************************************************

Synopsis
========

  * Usage:
        F = gfanTropicalHyperSurface(f)
  * Inputs:
      * f, a ring element (Macaulay2Doc), a polynomial
  * Outputs:
      * F, an instance of the type Fan (Polyhedra), the tropical
        hypersurface of the ideal generated by f

Description
===========

This method computes the tropical hypersurface of a principal ideal.

+----------------------------------------+
|i1 : QQ[x,y];                           |
+----------------------------------------+
|i2 : gfanTropicalHyperSurface(x^2 + x*y)|
|                                        |
|o2 = (Fan{...1...}, {1})                |
|                                        |
|o2 : Sequence                           |
+----------------------------------------+

gfan Documentation

This program computes the tropical hypersurface defined by a principal ideal.
-------------------------------------------------------------------------------
The input is the polynomial ring followed by a set containing just a generator
-------------------------------------------------------------------------------
of the ideal.Options:

See also
========

  * gfanTropicalBruteForce -- computes the
    tropical variety of an ideal

Ways to use gfanTropicalHyperSurface:
=====================================

  * "gfanTropicalHyperSurface(RingElement)"

For the programmer
==================

The object gfanTropicalHyperSurface, is a
method function with options (Macaulay2Doc).

gfanTropicalHyperSurfaceReconstruction
**************************************

Ways to use gfanTropicalHyperSurfaceReconstruction:
===================================================

  * gfanTropicalHyperSurfaceReconstruction(Fan) (missing documentation)

For the programmer
==================

The object gfanTropicalHyperSurfaceReconstruction (missing documentation) is a
method function with options (Macaulay2Doc).

gfanTropicalIntersection -- polyhedral data describing intersection of tropical hypersurfaces
*********************************************************************************************

Synopsis
========

  * Usage:
        gfanTropicalIntersection(L)
  * Inputs:
      * L, a list (Macaulay2Doc), of polynomials
  * Optional inputs (Macaulay2Doc),:
      * restrict
      * stable
      * symmetryExploit
      * symmetryPrinting
      * tplane
      * tropicalbasistest
  * Outputs:
      * F, an instance of the type Fan (Polyhedra), the intersection
        of the tropical hypersurfaces of polynomials in L

Description
===========

This method intersects a list of tropical hypersurfaces. The input is a list of
polynomials whose tropicalizations give the hypersurfaces.

+------------------------------------------+
|i1 : QQ[x,y];                             |
+------------------------------------------+
|i2 : gfanTropicalHyperSurface(x+y)        |
|                                          |
|o2 = (Fan{...1...}, {1})                  |
|                                          |
|o2 : Sequence                             |
+------------------------------------------+
|i3 : gfanTropicalHyperSurface(x+y+1)      |
|                                          |
|o3 = (Fan{...1...}, {1, 1, 1})            |
|                                          |
|o3 : Sequence                             |
+------------------------------------------+
|i4 : gfanTropicalIntersection {x+y, x+y+1}|
|                                          |
|o4 = (Fan{...1...}, {1})                  |
|                                          |
|o4 : Sequence                             |
+------------------------------------------+

gfan Documentation

This program computes the set theoretical intersection of a set of tropical hyp
Options:
--tropicalbasistest:
 This option will test that the input polynomials for a tropical basis of the i

--tplane:
 This option intersects the resulting fan with the plane x_0=-1, where x_0 is t
--symmetryPrinting:
 Parse a group of symmetries after the input has been read. Used when printing
--symmetryExploit:
 Restrict computation to the closed lexicographic fundamental domain of the spe
--nocones:
 Tells the program not to output the CONES and MAXIMAL_CONES sections, but stil
--restrict:
 Restrict the computation to a full-dimensional cone given by a list of marked
--stable:
 Find the stable intersection of the input polynomials using tropical intersect
--parameters value:
 With this option you can specify how many variables to treat as parameters ins
-------------------------------------------------------------------------------
ersurfaces (or to be precise, their common refinement as a fan). The input is a

deal they generate by computing the tropical prevariety of the input polynomial

he first variable. To simplify the implementation the output is actually the co

with --incidence.

cified symmetry group. This overwrites --restrict.

l output CONES_COMPRESSED and MAXIMAL_CONES_COMPRESSED if --symmetry is used.

polynomials. The cone is the closure of all weight vectors choosing these marke

ion theory. This can be slow. Most other options are ignored.

tead of variables. This makes it possible to do computations where the coeffici
-------------------------------------------------------------------------------
 list of polynomials with each polynomial defining a hypersurface. Considering

s and then refine each cone with the Groebner fan and testing whether each cone

mmon refinement with the non-negative half space. This means that "stuff at inf

d terms.

ent field is the field of rational functions in the parameters.
-------------------------------------------------------------------------------
tropical hypersurfaces as fans, the intersection can be computed as the common

 in the refinement has an associated monomial free initial ideal. If so, then

inity" (where x_0=0) is not removed.
-------------------------------------------------------------------------------
 refinement of these. Thus the output is a fan whose support is the

we have a tropical basis and 1 is written as output. If not, then a
-------------------------------------------------------------------------------
intersection of the tropical hypersurfaces.

zero is written to the output together with a vector in the tropical prevariety
-------------------------------------------------------------------------------
but not in the variety. The actual check is done on a homogenization of the
-------------------------------------------------------------------------------
input ideal, but this does not affect the result. (This option replaces the -t
-------------------------------------------------------------------------------
option from earlier gfan versions.)

See also
========

  * gfanTropicalBruteForce -- computes the
    tropical variety of an ideal
  * gfanTropicalHyperSurface -- the tropical
    hypersurface of a principal ideal

Ways to use gfanTropicalIntersection:
=====================================

  * "gfanTropicalIntersection(List)"
  * gfanTropicalIntersection(List,List) (missing documentation)

For the programmer
==================

The object gfanTropicalIntersection, is a
method function with options (Macaulay2Doc).

gfanTropicalLifting -- not implemented
**************************************

Description
===========

This method is not implemented.

gfan Documentation

This program is part of the Puiseux lifting algorithm implemented in Gfan and S

Anders Nedergaard Jensen, Hannah Markwig, Thomas Markwig:
 tropical.lib. A SINGULAR 3.0 library for computations in tropical geometry, 20

See also

http://www.mathematik.uni-kl.de/~keilen/de/tropical.html

and the paper

 Jensen, Markwig, Markwig: "An algorithm for lifting points in a tropical varie

Example:

Run Singular from the directory where tropical.lib is located.
Give the following sequence of commands to Singular:

LIB "tropical.lib";
ring R=0,(t,x,y,z),dp;
ideal i=-y2t4+x2,yt3+xz+y;
intvec w=1,-2,0,2;
list L=tropicallifting(i,w,3);
displaytropicallifting(L,"subst");
This produces a Puiseux series solution to i with valuation (2,0,-2)
Options:
--noMult:
 Disable the multiplicity computation.
-n value:
 Number of variables that should have negative weight.
-c:
 Only output a list of vectors being the possible choices.
-------------------------------------------------------------------------------
ingular. The Singular part of the implementation can be found in:

07

ty".

For the programmer
==================

The object gfanTropicalLifting, is a method function with options (Macaulay2Doc).

gfanTropicalLinearSpace -- equations of a tropical linear space from Plücker coordinates
****************************************************************************************

Synopsis
========

  * Usage:
        (L, S) = gfanTropicalLinearSpace(P,N,D)
  * Inputs:
      * P, a list (Macaulay2Doc), of Plücker coordinates
      * N, an integer (Macaulay2Doc), ambient dimension
      * D, an integer (Macaulay2Doc), subspace dimension
  * Optional inputs (Macaulay2Doc),:
      * d
      * n
      * trees
  * Outputs:
      * L, a list (Macaulay2Doc), polynomials defining the linear
        space
      * S, a string (Macaulay2Doc), a string describing which
        variable corresponds to which minor

Description
===========

This method takes Plücker coordinates for a linear subspace and computes the
polynomials which define the corresponding tropical linear space. The output is
a pair which contains both the defining polynomials and a string which
describes which coordinate corresponds to which minor.

+--------------------------------------------------------+
|i1 : (L, S) = gfanTropicalLinearSpace({1,2,3}, 3, 1);   |
+--------------------------------------------------------+
|i2 : L                                                  |
|                                                        |
|       998      997     999      997     999      998   |
|o2 = {t   x0 + t   x1, t   x0 + t   x2, t   x1 + t   x2}|
|                                                        |
|o2 : List                                               |
+--------------------------------------------------------+
|i3 : S                                                  |
|                                                        |
|o3 = 0,1,0,=1                                           |
|     1,0,0,=2                                           |
|     0,0,1,=0                                           |
|     1,0,0,=2                                           |
|     0,0,1,=0                                           |
|     0,1,0,=1                                           |
+--------------------------------------------------------+

gfan Documentation

This program generates tropical equations for a tropical linear space in the
Options:
-d value:
 Specify d.
-n value:
 Specify n.
--trees:
 list the boundary trees (assumes d=3)
-------------------------------------------------------------------------------
Speyer sense given the tropical Pluecker coordinates as input.

Ways to use gfanTropicalLinearSpace:
====================================

  * "gfanTropicalLinearSpace(List,ZZ,ZZ)"

For the programmer
==================

The object gfanTropicalLinearSpace, is a
method function with options (Macaulay2Doc).

gfanTropicalMultiplicity -- multiplicity of a tropical cone
***********************************************************

Synopsis
========

  * Usage:
        gfanTropicalMultiplicity(L)
  * Inputs:
      * L, a marked polynomial list,
  * Outputs:
      * M, an integer (Macaulay2Doc), the multiplicity of the
        tropical cone of L

Description
===========

This method compute the multiplicity of a tropical cone. The tropical cone is
described by a marked reduced Groebner basis for its initial ideal.

gfan Documentation

This program computes the multiplicity of a tropical cone given a marked
Options:
-------------------------------------------------------------------------------
reduced Groebner basis for its initial ideal.

Ways to use gfanTropicalMultiplicity:
=====================================

  * "gfanTropicalMultiplicity(List)"

For the programmer
==================

The object gfanTropicalMultiplicity, is a
method function with options (Macaulay2Doc).

gfanTropicalRank -- the tropical rank of a matrix
*************************************************

Synopsis
========

  * Usage:
        (R, S) = gfanTropicalRank M
  * Inputs:
      * M, a matrix (Macaulay2Doc),
  * Optional inputs (Macaulay2Doc),:
      * kapranov
  * Outputs:
      * R, an integer (Macaulay2Doc), the rank of M
      * S, a string (Macaulay2Doc), a description of how the rank
        was found

Description
===========

This method computes the tropical rank of matrix. The output is a pair whose
first coordinate is the rank and whose second coordinate is a string describing
how the rank was computed.

+---------------------------------------------------------+
|i1 : (R,S) = gfanTropicalRank matrix {{1,2},{1,2}};      |
+---------------------------------------------------------+
|i2 : R                                                   |
|                                                         |
|o2 = 1                                                   |
+---------------------------------------------------------+
|i3 : S                                                   |
|                                                         |
|o3 = 1x1 picks monomial: true, meaning that rank is > 0  |
|     2x2 picks monomial: false, meaning that rank is <= 1|
+---------------------------------------------------------+

gfan Documentation

This program will compute the tropical rank of matrix given as input. Tropical
Options:
--kapranov:
 Compute Kapranov rank instead of tropical rank.
--determinant:
 Compute the tropical determinant instead.
-------------------------------------------------------------------------------
addition is MAXIMUM.

Ways to use gfanTropicalRank:
=============================

  * "gfanTropicalRank(Matrix)"

For the programmer
==================

The object gfanTropicalRank, is a method function with options (Macaulay2Doc).

gfanTropicalStartingCone -- a pair of Groebner bases for use with gfanTropicalTraverse
**************************************************************************************

Synopsis
========

  * Usage:
        gfanTropicalStartingCone(L)
        gfanTropicalStartingCone(I)
  * Inputs:
      * L, a list (Macaulay2Doc), of polynomials, homogeneous with
        respect to a positive weight vector
      * I, an ideal (Macaulay2Doc), homogeneous with respect to a
        positive weight vector
  * Optional inputs (Macaulay2Doc),:
      * d
      * g
      * stable
  * Outputs:
      * P, a list (Macaulay2Doc), a pair of
        MarkedPolynomialList,s

Description
===========

This method compute a pair of Groebner bases as needed for
gfanTropicalTraverse. It heuristically finds a cone of
the Tropical Variety. Its                            first output is the
Groebner basis of the cone's monomial-free initial ideal. And the second output
is the Groebner basis of the original ideal.
Note that gfanTropicalStartingCone uses graded reverse lex order.

+-----------------------------------------+
|i1 : QQ[x,y,z]                           |
|                                         |
|o1 = QQ[x..z]                            |
|                                         |
|o1 : PolynomialRing                      |
+-----------------------------------------+
|i2 : gfanTropicalStartingCone{x+y+z}     |
|                                         |
|o2 = {{{z}, {y + z}}, {{z}, {x + y + z}}}|
|                                         |
|o2 : List                                |
+-----------------------------------------+
|i3 : QQ[x,y]                             |
|                                         |
|o3 = QQ[x..y]                            |
|                                         |
|o3 : PolynomialRing                      |
+-----------------------------------------+
|i4 : I=ideal(x+y)                        |
|                                         |
|o4 = ideal(x + y)                        |
|                                         |
|o4 : Ideal of QQ[x..y]                   |
+-----------------------------------------+
|i5 : gfanTropicalStartingCone(I)         |
|                                         |
|o5 = {{{y}, {x + y}}, {{y}, {x + y}}}    |
|                                         |
|o5 : List                                |
+-----------------------------------------+

gfan Documentation

This program computes a starting pair of marked reduced Groebner bases to be
Options:
-g:
 Tell the program that the input is already a reduced Groebner basis.
-d:
 Output dimension information to standard error.
--stable:
 Find starting cone in the stable intersection or, equivalently, pretend that
-------------------------------------------------------------------------------
used as input for gfan_tropicaltraverse. The input is a homogeneous ideal whose

 the coefficients are genereric.
-------------------------------------------------------------------------------
tropical variety is a pure d-dimensional polyhedral complex.

See also
========

  * gfanTropicalTraverse -- polyhedral data
    describing a tropical variety

Ways to use gfanTropicalStartingCone:
=====================================

  * "gfanTropicalStartingCone(Ideal)"
  * "gfanTropicalStartingCone(List)"

For the programmer
==================

The object gfanTropicalStartingCone, is a
method function with options (Macaulay2Doc).

gfanTropicalTraverse -- polyhedral data describing a tropical variety
*********************************************************************

Synopsis
========

  * Usage:
        gfanTropicalTraverse(L)
  * Inputs:
      * L, a list (Macaulay2Doc), a pair of
        MarkedPolynomialList,s, homogeneous with respect
        to a positive weight vector
  * Optional inputs (Macaulay2Doc),:
      * disableSymmetryTest
      * nocones
      * stable
      * symmetry
      * symsigns
  * Outputs:
      * F, an instance of the type Fan (Polyhedra), describing the
        tropical variety of the given ideal

Description
===========

This method computes the tropical variety of a homogeneous ideal. Use
gfanTropicalStartingCone, to produce the pair of
Groebner bases that gfanTropicalTraverse needs as input. It starts with the
gfanTropicalStartingCone output which gives one of                          the
Tropical Variety's cone, and traverses the rest of the Tropical Variety to find
the remaining cones. It then outputs some key properties of
the Tropical Variety. Cones gives the orbit of the cone if it exists.
Multiplicities is the respective multiplicity of the maximal cones. And
Maximal Cones refers to the cones of dimension DIM and DIM-1 and again gives
the orbit of the cones. Changed in summer 2014: gfanTropicalTraverse now uses
the min convention (so rays are -1 of the original gfan output).  It currently
returns a                     HashTable rather than a Fan.

+-----------------------------------------+
|i1 : QQ[x,y,z]                           |
|                                         |
|o1 = QQ[x..z]                            |
|                                         |
|o1 : PolynomialRing                      |
+-----------------------------------------+
|i2 : P = gfanTropicalStartingCone {x+y+z}|
|                                         |
|o2 = {{{z}, {y + z}}, {{z}, {x + y + z}}}|
|                                         |
|o2 : List                                |
+-----------------------------------------+
|i3 : gfanTropicalTraverse P              |
|                                         |
|o3 = (Fan{...1...}, {1, 1, 1})           |
|                                         |
|o3 : Sequence                            |
+-----------------------------------------+

gfan Documentation

This program computes a polyhedral fan representation of the tropical variety o
Options:
--symmetry:
 Do computations up to symmetry and group the output accordingly. If this optio
--symsigns:
 Specify for each generator of the symmetry group an element of ${-1,+1}^n$ whi
--nocones:
 Tells the program not to output the CONES and MAXIMAL_CONES sections, but stil
--disableSymmetryTest:
 When using --symmetry this option will disable the check that the group read o

--stable:
 Traverse the stable intersection or, equivalently, pretend that the coefficien
--interrupt value:
 Interrupt the enumeration after a specified number of facets have been compute
-------------------------------------------------------------------------------
f a homogeneous prime ideal $I$. Let $d$ be the Krull dimension of $I$ and let

n is used the program will read in a list of generators for a symmetry group af

ch by its multiplication on the variables together with the permutation will ke

l output CONES_ORBITS and MAXIMAL_CONES_ORBITS if --symmetry is used.

ff from the input actually is a symmetry group with respect to the input ideal.

ts are genereric.

d (works for usual symmetric traversals, but may not work in general for non-sy
-------------------------------------------------------------------------------
$\omega$ be a relative interior point of $d$-dimensional Groebner cone

ter the pair of Groebner bases have been read. Two advantages of using

ep the ideal fixed. The vectors are given as the rows of a matrix.

mmetric traversals or for traversals restricted to fans).
-------------------------------------------------------------------------------
contained in the tropical variety. The input for this program

this option is that the output is nicely grouped and that the
-------------------------------------------------------------------------------
is a pair of marked reduced Groebner bases with respect to the term order

computation can be done faster.
-------------------------------------------------------------------------------
represented by $\omega$, tie-broken in some way. The first one is for the
-------------------------------------------------------------------------------
initial ideal $in_\omega(I)$ the second one for $I$ itself. The pair is the
-------------------------------------------------------------------------------
starting point for a traversal of the $d$-dimensional Groebner cones contained
-------------------------------------------------------------------------------
in the tropical variety. If the ideal is not prime but with the tropical
-------------------------------------------------------------------------------
variety still being pure $d$-dimensional the program will only compute a
-------------------------------------------------------------------------------
codimension $1$ connected component of the tropical variety.

Ways to use gfanTropicalTraverse:
=================================

  * "gfanTropicalTraverse(List)"

For the programmer
==================

The object gfanTropicalTraverse, is a method function with options (Macaulay2Doc).

gfanTropicalWeilDivisor -- the tropical Weil divisor of a piecewise linear function
***********************************************************************************

Synopsis
========

  * Usage:
        W = gfanTropicalWeilDivisor(C,F)
  * Inputs:
      * C, an instance of the type Fan (Polyhedra), a k-cycle
      * F, an instance of the type Fan (Polyhedra), a piecewise
        linear function
  * Optional inputs (Macaulay2Doc),:
      * i1
      * i2
  * Outputs:
      * W, an instance of the type Fan (Polyhedra), the Weil divisor

Description
===========

This method computes the tropical Weil divisor of a piecewise linear function.

The following example is taken from the gfan manual.

+-----------------------------------------------------------------------------+
|i1 : QQ[x_1..x_3];                                                           |
+-----------------------------------------------------------------------------+
|i2 : C = gfanTropicalHyperSurface (x_1*x_2 + x_2*x_3 + x_1*x_3 + x_1*x_2*x_3)|
|                                                                             |
|o2 = (Fan{...1...}, {1, 1, 1, 1, 1, 1})                                      |
|                                                                             |
|o2 : Sequence                                                                |
+-----------------------------------------------------------------------------+
|i3 : F = "..."                                                               |
|                                                                             |
|o3 = ...                                                                     |
+-----------------------------------------------------------------------------+

gfan Documentation

This program computes the tropical Weil
Options:
-i1 value:
 Specify the name of the Polymake input
-i2 value:
 Specify the name of the Polymake input
-------------------------------------------------------------------------------
divisor of piecewise linear (or tropical rational) function on a tropical

file containing the k-cycle.

file containing the piecewise linear function.
-------------------------------------------------------------------------------
k-cycle. See the Gfan manual for more information.

Ways to use gfanTropicalWeilDivisor:
====================================

  * "gfanTropicalWeilDivisor(Fan,Fan)"

For the programmer
==================

The object gfanTropicalWeilDivisor, is a
method function with options (Macaulay2Doc).

gfanVersion
***********

For the programmer
==================

The object gfanVersion (missing documentation) is a function closure (Macaulay2Doc).

Installation and Configuration of gfanInterface
***********************************************

The gfanInterface package makes use of the binary executables from Anders
Jensen's gfan software package. These binary files are distributed with
Macaulay2 (since version 1.3) and so, it is not necessary to install gfan
separately.

The user can specify which gfan executables are used by setting the appropriate
key in the programPaths (Macaulay2Doc), hash table.    When
the path is unspecified, then the binaries provided by Macaulay2 are used, if
present.  If they are not present, then the directories specified in the user's
PATH environment variable are searched.

You can change the path, if needed, by setting the appropriate key in
programPaths (Macaulay2Doc), and loading the package:

+-------------------------------------------------+
|i1 : programPaths#"gfan" = "/directory/to/gfan/" |
|                                                 |
|o1 = /directory/to/gfan/                         |
+-------------------------------------------------+
|i2 : loadPackage("gfanInterface", Reload => true)|
|                                                 |
|o2 = gfanInterface                               |
|                                                 |
|o2 : Package                                     |
+-------------------------------------------------+

To set the path permanently, one needs to change gfanInterface.m2 either before
installing or in the installed copy. You will find the path configuration near
the top of the file.

If gfanInterface is already installed and loaded, you can find the path of the
source file by the following command:

+------------------------------------------------+
|i3 : gfanInterface#"source file"                |
|                                                |
|o3 = /usr/local/share/Macaulay2/gfanInterface.m2|
+------------------------------------------------+

If you want to use gfan executables outside of Macaulay2, they can be found
with currentLayout#"programs":

+-----------------------------------------------+
|i4 : prefixDirectory | currentLayout#"programs"|
|                                               |
|o4 = /usr/local/x86_64-Linux-                  |
|     Ubuntu-24.04/libexec/Macaulay2/bin/       |
+-----------------------------------------------+

If you would like to see the input and output files used to communicate with
gfan you can set the "keepfiles" configuration option to true. If "verbose" is
set to true, gfanInterface will output the names of the temporary files used.

+-----------------------------------------------------------------------------+
|i5 : loadPackage("gfanInterface", Configuration => { "keepfiles" => true, "ve|
| -- running: /usr/bin/gfan gfan --help < /tmp/M2-2577918-0/172               |
|This is a program for computing all reduced Groebner bases of a polynomial id|
|Options:                                                                     |
|-g:                                                                          |
| Tells the program that the input is already a Groebner basis (with the initi|
|                                                                             |
|--symmetry:                                                                  |
| Tells the program to read in generators for a group of symmetries (subgroup |
|                                                                             |
|-e:                                                                          |
| Echo. Output the generators for the symmetry group.                         |
|                                                                             |
|--disableSymmetryTest:                                                       |
| When using --symmetry this option will disable the check that the group read|
|                                                                             |
|--parameters value:                                                          |
| With this option you can specify how many variables to treat as parameters i|
|--interrupt value:                                                           |
| Interrupt the enumeration after a specified number of facets have been compu|
|using temporary file /tmp/M2-2577918-0/172                                   |
| -- running: /usr/bin/gfan _buchberger --help < /tmp/M2-2577918-0/174        |
|This program computes a reduced lexicographic Groebner basis of the polynomia|
|Options:                                                                     |
|-w:                                                                          |
| Compute a Groebner basis with respect to a degree lexicographic order with $|
|                                                                             |
|-r:                                                                          |
| Use the reverse lexicographic order (or the reverse lexicographic order as a|
|                                                                             |
|-W:                                                                          |
| Do a Groebner walk. The input must be a minimal Groebner basis. If -W is use|
|                                                                             |
|-g:                                                                          |
| Do a generic Groebner walk. The input must be homogeneous and must be a mini|
|                                                                             |
|--parameters value:                                                          |
| With this option you can specify how many variables to treat as parameters i|
|using temporary file /tmp/M2-2577918-0/174                                   |
| -- running: /usr/bin/gfan _doesidealcontain --help < /tmp/M2-2577918-0/176  |
|This program takes a marked Groebner basis of an ideal I and a set of polynom|
|Options:                                                                     |
|--remainder:                                                                 |
| Tell the program to output the remainders of the divisions rather than outpu|
|--multiplier:                                                                |
| Reads in a polynomial that will be multiplied to the polynomial to be divide|
|using temporary file /tmp/M2-2577918-0/176                                   |
| -- running: /usr/bin/gfan _fancommonrefinement --help < /tmp/M2-2577918-0/17|
|This program takes two polyhedral fans and computes their common refinement. |
|Options:                                                                     |
|-i1 value:                                                                   |
| Specify the name of the first input file.                                   |
|-i2 value:                                                                   |
| Specify the name of the second input file.                                  |
|--stable:                                                                    |
| Compute the stable intersection.                                            |
|using temporary file /tmp/M2-2577918-0/178                                   |
| -- running: /usr/bin/gfan _fanlink --help < /tmp/M2-2577918-0/180           |
|This program takes a polyhedral fan and a vector and computes the link of the|
|Options:                                                                     |
|-i value:                                                                    |
| Specify the name of the input file.                                         |
|--symmetry:                                                                  |
| Reads in a fan stored with symmetry. The generators of the symmetry group mu|
|                                                                             |
|--star:                                                                      |
| Computes the star instead. The star is defined as the smallest polyhedral fa|
|using temporary file /tmp/M2-2577918-0/180                                   |
| -- running: /usr/bin/gfan _fanproduct --help < /tmp/M2-2577918-0/182        |
|This program takes two polyhedral fans and computes their product.           |
|Options:                                                                     |
|-i1 value:                                                                   |
| Specify the name of the first input file.                                   |
|-i2 value:                                                                   |
| Specify the name of the second input file.                                  |
|using temporary file /tmp/M2-2577918-0/182                                   |
| -- running: /usr/bin/gfan _groebnercone --help < /tmp/M2-2577918-0/184      |
|This program computes a Groebner cone. Three different cases are handled. The|
|Options:                                                                     |
|--restrict:                                                                  |
| Add an inequality for each coordinate, so that the the cone is restricted to|
|--pair:                                                                      |
| The Groebner cone is given by a pair of compatible Groebner bases. The first|
|--asfan:                                                                     |
| Writes the cone as a polyhedral fan with all its faces instead. In this way |
|--vectorinput:                                                               |
| Compute a cone given list of inequalities rather than a Groebner cone. The i|
|using temporary file /tmp/M2-2577918-0/184                                   |
| -- running: /usr/bin/gfan _homogeneityspace --help < /tmp/M2-2577918-0/186  |
|This program computes the homogeneity space of a list of polynomials - as a c|
|Options:                                                                     |
|using temporary file /tmp/M2-2577918-0/186                                   |
| -- running: /usr/bin/gfan _homogenize --help < /tmp/M2-2577918-0/188        |
|This program homogenises a list of polynomials by introducing an extra variab|
|Example:                                                                     |
|Input:                                                                       |
|Q[x,y]{y-1}                                                                  |
|z                                                                            |
|Output:                                                                      |
|Q[x,y,z]{y-z}                                                                |
|Options:                                                                     |
|-i:                                                                          |
| Treat input as an ideal. This will make the program compute the homogenisati|
|-w:                                                                          |
| Specify a homogenisation vector. The length of the vector must be the same a|
|                                                                             |
|-H:                                                                          |
| Let the name of the new variable be H rather than reading in a name from the|
|using temporary file /tmp/M2-2577918-0/188                                   |
| -- running: /usr/bin/gfan _initialforms --help < /tmp/M2-2577918-0/190      |
|This program converts a list of polynomials to a list of their initial forms |
|Options:                                                                     |
|--ideal:                                                                     |
| Treat input as an ideal. This will make the program compute the initial idea|
|                                                                             |
|--pair:                                                                      |
| Produce a pair of polynomial lists. Used together with --ideal this option w|
|                                                                             |
|--mark:                                                                      |
| If the --pair option is and the --ideal option is not used this option will |
|--list:                                                                      |
| Read in a list of vectors instead of a single vector and produce a list of p|
|using temporary file /tmp/M2-2577918-0/190                                   |
| -- running: /usr/bin/gfan _interactive --help < /tmp/M2-2577918-0/192       |
|This is a program for doing interactive walks in the Groebner fan of an ideal|
|Options:                                                                     |
|-L:                                                                          |
| Latex mode. The program will try to show the current Groebner basis in a rea|
|                                                                             |
|-x:                                                                          |
| Exit immediately.                                                           |
|                                                                             |
|-f:                                                                          |
| Tell the program to list the flipped reduced Groebner basis of the initial i|
|                                                                             |
|-w:                                                                          |
| Tell the program to list (a Groebner basis with respect to the current term |
|                                                                             |
|-i:                                                                          |
| Tell the program to list the defining set of inequalities of the non-restric|
|                                                                             |
|-W:                                                                          |
| Print weight vector. This will make the program print an interior vector of |
|                                                                             |
|--tropical:                                                                  |
| Traverse a tropical variety interactively.                                  |
|using temporary file /tmp/M2-2577918-0/192                                   |
| -- running: /usr/bin/gfan _ismarkedgroebnerbasis --help < /tmp/M2-2577918-0/|
|This program checks if a set of marked polynomials is a Groebner basis with r|
|Options:                                                                     |
|using temporary file /tmp/M2-2577918-0/194                                   |
| -- running: /usr/bin/gfan _krulldimension --help < /tmp/M2-2577918-0/196    |
|Takes an ideal $I$ and computes the Krull dimension of R/I where R is the pol|
|Options:                                                                     |
|-g:                                                                          |
| Tell the program that the input is already a reduced Groebner basis.        |
|using temporary file /tmp/M2-2577918-0/196                                   |
| -- running: /usr/bin/gfan _latticeideal --help < /tmp/M2-2577918-0/198      |
|This program computes the lattice ideal of a lattice. The input is a list of |
|Options:                                                                     |
|-t:                                                                          |
| Compute the toric ideal of the matrix whose rows are given on the input inst|
|--convert:                                                                   |
| Does not do any computation, but just converts the vectors to binomials.    |
|using temporary file /tmp/M2-2577918-0/198                                   |
| -- running: /usr/bin/gfan _leadingterms --help < /tmp/M2-2577918-0/200      |
|This program converts a list of polynomials to a list of their leading terms.|
|Options:                                                                     |
|-m:                                                                          |
| Do the same thing for a list of polynomial sets. That is, output the set of |
|                                                                             |
|using temporary file /tmp/M2-2577918-0/200                                   |
| -- running: /usr/bin/gfan _markpolynomialset --help < /tmp/M2-2577918-0/202 |
|This program marks a set of polynomials with respect to the vector given at t|
|Options:                                                                     |
|using temporary file /tmp/M2-2577918-0/202                                   |
| -- running: /usr/bin/gfan _minkowskisum --help < /tmp/M2-2577918-0/204      |
|This is a program for computing the normal fan of the Minkowski sum of the Ne|
|Options:                                                                     |
|--symmetry:                                                                  |
| Tells the program to read in generators for a group of symmetries (subgroup |
|                                                                             |
|--disableSymmetryTest:                                                       |
| When using --symmetry this option will disable the check that the group read|
|                                                                             |
|--nocones:                                                                   |
| Tell the program to not list cones in the output.                           |
|using temporary file /tmp/M2-2577918-0/204                                   |
| -- running: /usr/bin/gfan _minors --help < /tmp/M2-2577918-0/206            |
|This program will generate the r*r minors of a d*n matrix of indeterminates. |
|Options:                                                                     |
|-r value:                                                                    |
| Specify r.                                                                  |
|-d value:                                                                    |
| Specify d.                                                                  |
|-n value:                                                                    |
| Specify n.                                                                  |
|-M2:                                                                         |
| Use Macaulay2 conventions for order of variables.                           |
|--names:                                                                     |
| Assign names to the minors.                                                 |
|--dressian:                                                                  |
| Produce tropical defining the Dressian(3,n) instead. (The signs may not be c|
|--pluckersymmetries:                                                         |
| Do nothing but produce symmetry generators for the Pluecker ideal.          |
|--symmetry:                                                                  |
| Produces a list of generators for the group of symmetries keeping the set of|
|--parametrize:                                                               |
| Parametrize the set of d times n matrices of Barvinok rank less than or equa|
|using temporary file /tmp/M2-2577918-0/206                                   |
| -- running: /usr/bin/gfan _mixedvolume --help < /tmp/M2-2577918-0/208       |
|This program computes the mixed volume of the Newton polytopes of a list of p|
|Options:                                                                     |
|--vectorinput:                                                               |
| Read in a list of point configurations instead of a polynomial ring and a li|
|--cyclic value:                                                              |
| Use cyclic-n example instead of reading input.                              |
|--noon value:                                                                |
| Use Noonburg-n example instead of reading input.                            |
|--chandra value:                                                             |
| Use Chandrasekhar-n example instead of reading input.                       |
|--katsura value:                                                             |
| Use Katsura-n example instead of reading input.                             |
|--gaukwa value:                                                              |
| Use Gaukwa-n example instead of reading input.                              |
|--eco value:                                                                 |
| Use Eco-n example instead of reading input.                                 |
|-j value:                                                                    |
| Number of threads                                                           |
|using temporary file /tmp/M2-2577918-0/208                                   |
| -- running: /usr/bin/gfan _polynomialsetunion --help < /tmp/M2-2577918-0/210|
|This program computes the union of a list of polynomial sets given as input. |
|Options:                                                                     |
|-s:                                                                          |
| Sort output by degree.                                                      |
|                                                                             |
|using temporary file /tmp/M2-2577918-0/210                                   |
| -- running: /usr/bin/gfan _render --help < /tmp/M2-2577918-0/212            |
|This program renders a Groebner fan as an xfig file. To be more precise, the |
|Options:                                                                     |
|-L:                                                                          |
| Make the triangle larger so that the shape of the Groebner region appears.  |
|--shiftVariables value:                                                      |
| Shift the positions of the variables in the drawing. For example with the va|
|using temporary file /tmp/M2-2577918-0/212                                   |
| -- running: /usr/bin/gfan _renderstaircase --help < /tmp/M2-2577918-0/214   |
|This program renders a staircase diagram of a monomial initial ideal to an xf|
|Options:                                                                     |
|-m:                                                                          |
| Read multiple ideals from the input. The ideals are given as a list of lists|
|                                                                             |
|-d value:                                                                    |
| Specifies the number of boxes being shown along each axis. Be sure that this|
|                                                                             |
|-w value:                                                                    |
| Width. Specifies the number of staircase diagrams per row in the xfig file. |
|                                                                             |
|using temporary file /tmp/M2-2577918-0/214                                   |
| -- running: /usr/bin/gfan _resultantfan --help < /tmp/M2-2577918-0/216      |
|This program computes the resultant fan as defined in "Computing Tropical Res|
|Options:                                                                     |
|--codimension:                                                               |
| Compute only the codimension of the resultant fan and return.               |
|                                                                             |
|--symmetry:                                                                  |
| Tells the program to read in generators for a group of symmetries (subgroup |
|                                                                             |
|--nocones:                                                                   |
| Tells the program not to output the CONES and MAXIMAL_CONES sections, but st|
|                                                                             |
|--special:                                                                   |
| Read in a zero-one vector from the standard input and specialize all variabl|
|                                                                             |
|--vectorinput:                                                               |
| Read in a list of point configurations instead of a polynomial ring and a li|
|                                                                             |
|--projection:                                                                |
| Use the projection method to compute the resultant fan. This works only if t|
|                                                                             |
|using temporary file /tmp/M2-2577918-0/216                                   |
| -- running: /usr/bin/gfan _saturation --help < /tmp/M2-2577918-0/218        |
|This program computes the saturation of the input ideal with the product of t|
|Options:                                                                     |
|-h:                                                                          |
| Tell the program that the input is a homogeneous ideal (with homogeneous gen|
|                                                                             |
|--noideal:                                                                   |
| Do not treat input as an ideal but just factor out common monomial factors o|
|using temporary file /tmp/M2-2577918-0/218                                   |
| -- running: /usr/bin/gfan _secondaryfan --help < /tmp/M2-2577918-0/220      |
|This program computes the secondary fan of a vector configuration. The config|
|Options:                                                                     |
|--unimodular:                                                                |
| Use heuristics to search for unimodular triangulation rather than computing |
|--scale value:                                                               |
| Assuming that the first coordinate of each vector is 1, this option will tak|
|--restrictingfan value:                                                      |
| Specify the name of a file containing a polyhedral fan in Polymake format. T|
|                                                                             |
|--symmetry:                                                                  |
| Tells the program to read in generators for a group of symmetries (subgroup |
|                                                                             |
|--nocones:                                                                   |
| Tells the program not to output the CONES and MAXIMAL_CONES sections, but st|
|--interrupt value:                                                           |
| Interrupt the enumeration after a specified number of facets have been compu|
|using temporary file /tmp/M2-2577918-0/220                                   |
| -- running: /usr/bin/gfan _stats --help < /tmp/M2-2577918-0/222             |
|This program takes a list of reduced Groebner bases for the same ideal and co|
|Options:                                                                     |
|using temporary file /tmp/M2-2577918-0/222                                   |
| -- running: /usr/bin/gfan _substitute --help < /tmp/M2-2577918-0/224        |
|This program changes the variable names of a polynomial ring. The input is a |
|Example:                                                                     |
|Input:                                                                       |
|Q[a,b,c,d]{2a-3b,c+d}Q[b,a,c,x]                                              |
|Output:                                                                      |
|Q[b,a,c,x]{2*b-3*a,c+x}                                                      |
|Options:                                                                     |
|using temporary file /tmp/M2-2577918-0/224                                   |
| -- running: /usr/bin/gfan _tolatex --help < /tmp/M2-2577918-0/226           |
|This program converts ASCII math to TeX math. The data-type is specified by t|
|Options:                                                                     |
|-h:                                                                          |
| Add a header to the output. Using this option the output will be LaTeXable r|
|--polynomialset_:                                                            |
| The data to be converted is a list of polynomials.                          |
|--polynomialsetlist_:                                                        |
| The data to be converted is a list of lists of polynomials.                 |
|using temporary file /tmp/M2-2577918-0/226                                   |
| -- running: /usr/bin/gfan _topolyhedralfan --help < /tmp/M2-2577918-0/228   |
|This program takes a list of reduced Groebner bases and produces the fan of a|
|Options:                                                                     |
|--restrict:                                                                  |
| Add an inequality for each coordinate, so that the the cones are restricted |
|--symmetry:                                                                  |
| Tell the program to read in generators for a group of symmetries (subgroup o|
|                                                                             |
|using temporary file /tmp/M2-2577918-0/228                                   |
| -- running: /usr/bin/gfan _tropicalbasis --help < /tmp/M2-2577918-0/230     |
|This program computes a tropical basis for an ideal defining a tropical curve|
|Options:                                                                     |
|-h:                                                                          |
| Homogenise the input before computing a tropical basis and dehomogenise the |
|using temporary file /tmp/M2-2577918-0/230                                   |
| -- running: /usr/bin/gfan _tropicalbruteforce --help < /tmp/M2-2577918-0/232|
|This program takes a marked reduced Groebner basis for a homogeneous ideal an|
|Options:                                                                     |
|using temporary file /tmp/M2-2577918-0/232                                   |
| -- running: /usr/bin/gfan _tropicalevaluation --help < /tmp/M2-2577918-0/234|
|This program evaluates a tropical polynomial function in a given set of point|
|Options:                                                                     |
|using temporary file /tmp/M2-2577918-0/234                                   |
| -- running: /usr/bin/gfan _tropicalfunction --help < /tmp/M2-2577918-0/236  |
|This program takes a polynomial and tropicalizes it. The output is piecewise |
|--exponents:                                                                 |
| Tell program to read a list of exponent vectors instead.                    |
|using temporary file /tmp/M2-2577918-0/236                                   |
| -- running: /usr/bin/gfan _tropicalhypersurface --help < /tmp/M2-2577918-0/2|
|This program computes the tropical hypersurface defined by a principal ideal.|
|using temporary file /tmp/M2-2577918-0/238                                   |
| -- running: /usr/bin/gfan _tropicalintersection --help < /tmp/M2-2577918-0/2|
|This program computes the set theoretical intersection of a set of tropical h|
|Options:                                                                     |
|--tropicalbasistest:                                                         |
| This option will test that the input polynomials for a tropical basis of the|
|                                                                             |
|--tplane:                                                                    |
| This option intersects the resulting fan with the plane x_0=-1, where x_0 is|
|--symmetryPrinting:                                                          |
| Parse a group of symmetries after the input has been read. Used when printin|
|--symmetryExploit:                                                           |
| Restrict computation to the closed lexicographic fundamental domain of the s|
|--nocones:                                                                   |
| Tells the program not to output the CONES and MAXIMAL_CONES sections, but st|
|--restrict:                                                                  |
| Restrict the computation to a full-dimensional cone given by a list of marke|
|--stable:                                                                    |
| Find the stable intersection of the input polynomials using tropical interse|
|--parameters value:                                                          |
| With this option you can specify how many variables to treat as parameters i|
|using temporary file /tmp/M2-2577918-0/240                                   |
| -- running: /usr/bin/gfan _tropicallifting --help < /tmp/M2-2577918-0/242   |
|This program is part of the Puiseux lifting algorithm implemented in Gfan and|
|                                                                             |
|Anders Nedergaard Jensen, Hannah Markwig, Thomas Markwig:                    |
| tropical.lib. A SINGULAR 3.0 library for computations in tropical geometry, |
|                                                                             |
|See also                                                                     |
|                                                                             |
|http://www.mathematik.uni-kl.de/~keilen/de/tropical.html                     |
|                                                                             |
|and the paper                                                                |
|                                                                             |
| Jensen, Markwig, Markwig: "An algorithm for lifting points in a tropical var|
|                                                                             |
|Example:                                                                     |
|                                                                             |
|Run Singular from the directory where tropical.lib is located.               |
|Give the following sequence of commands to Singular:                         |
|                                                                             |
|LIB "tropical.lib";                                                          |
|ring R=0,(t,x,y,z),dp;                                                       |
|ideal i=-y2t4+x2,yt3+xz+y;                                                   |
|intvec w=1,-2,0,2;                                                           |
|list L=tropicallifting(i,w,3);                                               |
|displaytropicallifting(L,"subst");                                           |
|This produces a Puiseux series solution to i with valuation (2,0,-2)         |
|Options:                                                                     |
|--noMult:                                                                    |
| Disable the multiplicity computation.                                       |
|-n value:                                                                    |
| Number of variables that should have negative weight.                       |
|-c:                                                                          |
| Only output a list of vectors being the possible choices.                   |
|using temporary file /tmp/M2-2577918-0/242                                   |
| -- running: /usr/bin/gfan _tropicallinearspace --help < /tmp/M2-2577918-0/24|
|This program generates tropical equations for a tropical linear space in the |
|Options:                                                                     |
|-d value:                                                                    |
| Specify d.                                                                  |
|-n value:                                                                    |
| Specify n.                                                                  |
|--trees:                                                                     |
| list the boundary trees (assumes d=3)                                       |
|using temporary file /tmp/M2-2577918-0/244                                   |
| -- running: /usr/bin/gfan _tropicalmultiplicity --help < /tmp/M2-2577918-0/2|
|This program computes the multiplicity of a tropical cone given a marked redu|
|Options:                                                                     |
|using temporary file /tmp/M2-2577918-0/246                                   |
| -- running: /usr/bin/gfan _tropicalrank --help < /tmp/M2-2577918-0/248      |
|This program will compute the tropical rank of matrix given as input. Tropica|
|Options:                                                                     |
|--kapranov:                                                                  |
| Compute Kapranov rank instead of tropical rank.                             |
|--determinant:                                                               |
| Compute the tropical determinant instead.                                   |
|using temporary file /tmp/M2-2577918-0/248                                   |
| -- running: /usr/bin/gfan _tropicalstartingcone --help < /tmp/M2-2577918-0/2|
|This program computes a starting pair of marked reduced Groebner bases to be |
|Options:                                                                     |
|-g:                                                                          |
| Tell the program that the input is already a reduced Groebner basis.        |
|-d:                                                                          |
| Output dimension information to standard error.                             |
|--stable:                                                                    |
| Find starting cone in the stable intersection or, equivalently, pretend that|
|using temporary file /tmp/M2-2577918-0/250                                   |
| -- running: /usr/bin/gfan _tropicaltraverse --help < /tmp/M2-2577918-0/252  |
|This program computes a polyhedral fan representation of the tropical variety|
|Options:                                                                     |
|--symmetry:                                                                  |
| Do computations up to symmetry and group the output accordingly. If this opt|
|--symsigns:                                                                  |
| Specify for each generator of the symmetry group an element of ${-1,+1}^n$ w|
|--nocones:                                                                   |
| Tells the program not to output the CONES and MAXIMAL_CONES sections, but st|
|--disableSymmetryTest:                                                       |
| When using --symmetry this option will disable the check that the group read|
|                                                                             |
|--stable:                                                                    |
| Traverse the stable intersection or, equivalently, pretend that the coeffici|
|--interrupt value:                                                           |
| Interrupt the enumeration after a specified number of facets have been compu|
|using temporary file /tmp/M2-2577918-0/252                                   |
| -- running: /usr/bin/gfan _tropicalweildivisor --help < /tmp/M2-2577918-0/25|
|This program computes the tropical Weil divisor of piecewise linear (or tropi|
|Options:                                                                     |
|-i1 value:                                                                   |
| Specify the name of the Polymake input file containing the k-cycle.         |
|-i2 value:                                                                   |
| Specify the name of the Polymake input file containing the piecewise linear |
|using temporary file /tmp/M2-2577918-0/254                                   |
| -- running: /usr/bin/gfan _overintegers --help < /tmp/M2-2577918-0/256      |
|This program is an experimental implementation of Groebner bases for ideals i|
|Several operations are supported by specifying the appropriate option:       |
| (1) computation of the reduced Groebner basis with respect to a given vector|
| (2) computation of an initial ideal,                                        |
| (3) computation of the Groebner fan,                                        |
| (4) computation of a single Groebner cone.                                  |
|Since Gfan only knows polynomial rings with coefficients being elements of a |
|NOTE: This program is experimental and expected to change behaviour in future|
|Options:                                                                     |
|--groebnerBasis:                                                             |
| Asks the program to compute a marked Groebner basis with respect to a weight|
|The input order is: Ring ideal vector.                                       |
|                                                                             |
|--initialIdeal:                                                              |
| Asks the program to compute an initial ideal with respect to a vector. The i|
|                                                                             |
|--groebnerFan:                                                               |
| Asks the program to compute the Groebner fan.                               |
| The input order is: Ring ideal.                                             |
|                                                                             |
|--groebnerCone:                                                              |
| Asks the program to compute a single Groebner cone containing the specified |
|-m:                                                                          |
| For the operations taking a vector as input, read in a list of vectors inste|
|-g:                                                                          |
| Tells the program that the input is already a Groebner basis (with the initi|
|                                                                             |
|using temporary file /tmp/M2-2577918-0/256                                   |
|-----------------------------------------------------------------------------|
|rbose" => true}, Reload => true);                                            |
|                                                                             |
|eal. It takes the ring and a generating set for the ideal as input. By defaul|
|                                                                             |
|                                                                             |
|al term of each polynomial being the first ones listed). Use this option if i|
|                                                                             |
|                                                                             |
|of $S_n$) after having read in the ideal. The program checks that the ideal s|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
| off from the input actually is a symmetry group with respect to the input id|
|                                                                             |
|                                                                             |
|nstead of variables. This makes it possible to do computations where the coef|
|                                                                             |
|ted (works for usual symmetric traversals, but may not work in general for no|
|                                                                             |
|                                                                             |
|l ideal given as input. The default behavior is to use Buchberger's algorithm|
|                                                                             |
|                                                                             |
|a>b>c...$ instead. The degrees are given by a weight vector which is read fro|
|                                                                             |
|                                                                             |
| tie breaker if -w is used). The input must be homogeneous if the pure revers|
|                                                                             |
|                                                                             |
|d -w is ignored.                                                             |
|                                                                             |
|                                                                             |
|mal Groebner basis with respect to the reverse lexicographic term order. The |
|                                                                             |
|                                                                             |
|nstead of variables. This makes it possible to do computations where the coef|
|                                                                             |
|                                                                             |
|ials on its input and tests if the polynomial set is contained in I by applyi|
|                                                                             |
|                                                                             |
|tting 0 or 1.                                                                |
|                                                                             |
|d before doing the division.                                                 |
|                                                                             |
|8                                                                            |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
| polyhedral fan around that vertex. The link will have lineality space dimens|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|st be given on the standard input.                                           |
|                                                                             |
|                                                                             |
|n containing all cones of the original fan containing the vector.            |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
| input may be a marked reduced Groebner basis in which case its Groebner cone|
|                                                                             |
|                                                                             |
| the non-negative orthant.                                                   |
|                                                                             |
| basis is for the initial ideal and the second for the ideal itself. See the |
|                                                                             |
|the extreme rays of the cone are also computed.                              |
|                                                                             |
|nput is an integer which specifies the dimension of the ambient space, a list|
|                                                                             |
|                                                                             |
|one. Thus generators for the homogeneity space are found in the section LINEA|
|                                                                             |
|                                                                             |
|                                                                             |
|le. The name of the variable to be introduced is read from the input after th|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|on of the input ideal. This is done by computing a degree Groebner basis and |
|                                                                             |
|s the number of variables in the ring. The vector is read from the input afte|
|                                                                             |
|                                                                             |
| input.                                                                      |
|                                                                             |
|                                                                             |
|with respect to the vector given after the list.                             |
|                                                                             |
|                                                                             |
|l of the ideal generated by the input polynomials. The computation is done by|
|                                                                             |
|                                                                             |
|ill also write a compatible reduced Groebner basis for the input ideal to the|
|                                                                             |
|                                                                             |
|still make sure that the second output basis is marked consistently with the |
|                                                                             |
|olynomial sets as output.                                                    |
|                                                                             |
|                                                                             |
|. The input is a Groebner basis defining the starting Groebner cone of the wa|
|                                                                             |
|                                                                             |
|dable form by invoking LaTeX and xdvi.                                       |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|deal for each flippable wall in the current Groebner cone.                   |
|                                                                             |
|                                                                             |
|order for) the initial ideal for each flippable wall in the current Groebner |
|                                                                             |
|                                                                             |
|ted Groebner cone as a set of vectors after having listed the current Groebne|
|                                                                             |
|                                                                             |
|the current Groebner cone and a relative interior point for each flippable fa|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|194                                                                          |
|espect to its marking. First it is checked if the markings are consistent wit|
|                                                                             |
|                                                                             |
|                                                                             |
|ynomial ring. This is done by first computing a Groebner basis.              |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|generators for the lattice.                                                  |
|                                                                             |
|                                                                             |
|ead.                                                                         |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|sets of leading terms.                                                       |
|                                                                             |
|                                                                             |
|                                                                             |
|he end of the input, meaning that the largest terms are moved to the front. I|
|                                                                             |
|                                                                             |
|                                                                             |
|wton polytopes of a list of polynomials.                                     |
|                                                                             |
|                                                                             |
|of $S_n$) after having read in the ideal. The program checks that the ideal s|
|                                                                             |
|                                                                             |
| off from the input actually is a symmetry group with respect to the input id|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|orrect, that is the equations may not be Pluecker relations.)                |
|                                                                             |
|                                                                             |
|                                                                             |
| minors fixed. (Only without --names).                                       |
|                                                                             |
|l to r-1 by a list of tropical polynomials.                                  |
|                                                                             |
|                                                                             |
|olynomials. The ring is specified on the input. After this follows the list o|
|                                                                             |
|                                                                             |
|st of polynomials.                                                           |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|The polynomials must all belong to the same ring. The ring is specified on th|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|input is the list of all reduced Groebner bases of an ideal. The output is a |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|lue equal to 1 the corners will be right: (0,1,0,0,...), left: (0,0,1,0,...) |
|                                                                             |
|                                                                             |
|ig file. The input is a Groebner basis of a (not necessarily monomial) polyno|
|                                                                             |
|                                                                             |
| of polynomials. For each polynomial list in the list a staircase diagram is |
|                                                                             |
|                                                                             |
| number is large enough to give a correct picture of the standard monomials. |
|                                                                             |
|                                                                             |
|The default value is 5.                                                      |
|                                                                             |
|                                                                             |
|                                                                             |
|ultants" by Jensen and Yu. The input is a polynomial ring followed by polynom|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|of $S_n$) after having read in the vector configuration. The program DOES NOT|
|                                                                             |
|                                                                             |
|ill output CONES_COMPRESSED and MAXIMAL_CONES_COMPRESSED if --symmetry is use|
|                                                                             |
|                                                                             |
|es with a one. That is, compute the stable intersection of the resultant fan |
|                                                                             |
|                                                                             |
|st of polynomials.                                                           |
|                                                                             |
|                                                                             |
|he resultant fan is a hypersurface. If this option is combined with --special|
|                                                                             |
|                                                                             |
|                                                                             |
|he variables x_1,...,x_n. The ideal does not have to be homogeneous.         |
|                                                                             |
|                                                                             |
|erators).                                                                    |
|                                                                             |
|                                                                             |
|f the input polynomials.                                                     |
|                                                                             |
|                                                                             |
|uration is given as an ordered list of vectors. In order to compute the secon|
|                                                                             |
|                                                                             |
|the complete secondary fan                                                   |
|                                                                             |
|e the polytope in the 1 plane and scale it. The point configuration will be a|
|                                                                             |
|he computation of the Secondary fan will be restricted to this fan. If the --|
|                                                                             |
|                                                                             |
|of $S_n$) after having read in the vector configuration. The program checks t|
|                                                                             |
|                                                                             |
|ill output CONES_COMPRESSED and MAXIMAL_CONES_COMPRESSED if --symmetry is use|
|                                                                             |
|ted (works for usual symmetric traversals, but may not work in general for no|
|                                                                             |
|                                                                             |
|mputes various statistics. The following information is listed: the number of|
|                                                                             |
|                                                                             |
|                                                                             |
|polynomial ring, a polynomial set in the ring and a new polynomial ring with |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|he options.                                                                  |
|                                                                             |
|                                                                             |
|ight away.                                                                   |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|ll faces of these. In this way by giving the complete list of reduced Groebne|
|                                                                             |
|                                                                             |
|to the non-negative orthant.                                                 |
|                                                                             |
|f $S_n$) after having read in the ring. The output is grouped according to th|
|                                                                             |
|                                                                             |
|                                                                             |
|. Defining a tropical curve means that the Krull dimension of R/I is at most |
|                                                                             |
|                                                                             |
|output. This is needed if the input generators are not already homogeneous.  |
|                                                                             |
|                                                                             |
|d computes the tropical variety of the ideal as a subfan of the Groebner fan.|
|                                                                             |
|                                                                             |
|                                                                             |
|s.                                                                           |
|                                                                             |
|                                                                             |
|                                                                             |
|linear function represented by a fan whose cones are the linear regions. Each|
|                                                                             |
|                                                                             |
|                                                                             |
|38                                                                           |
| The input is the polynomial ring followed by a set containing just a generat|
|                                                                             |
|40                                                                           |
|ypersurfaces (or to be precise, their common refinement as a fan). The input |
|                                                                             |
|                                                                             |
| ideal they generate by computing the tropical prevariety of the input polyno|
|                                                                             |
|                                                                             |
| the first variable. To simplify the implementation the output is actually th|
|                                                                             |
|g with --incidence.                                                          |
|                                                                             |
|pecified symmetry group. This overwrites --restrict.                         |
|                                                                             |
|ill output CONES_COMPRESSED and MAXIMAL_CONES_COMPRESSED if --symmetry is use|
|                                                                             |
|d polynomials. The cone is the closure of all weight vectors choosing these m|
|                                                                             |
|ction theory. This can be slow. Most other options are ignored.              |
|                                                                             |
|nstead of variables. This makes it possible to do computations where the coef|
|                                                                             |
|                                                                             |
| Singular. The Singular part of the implementation can be found in:          |
|                                                                             |
|                                                                             |
|2007                                                                         |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|iety".                                                                       |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|4                                                                            |
|Speyer sense given the tropical Pluecker coordinates as input.               |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|46                                                                           |
|ced Groebner basis for its initial ideal.                                    |
|                                                                             |
|                                                                             |
|                                                                             |
|l addition is MAXIMUM.                                                       |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|50                                                                           |
|used as input for gfan_tropicaltraverse. The input is a homogeneous ideal who|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
| the coefficients are genereric.                                             |
|                                                                             |
|                                                                             |
| of a homogeneous prime ideal $I$. Let $d$ be the Krull dimension of $I$ and |
|                                                                             |
|                                                                             |
|ion is used the program will read in a list of generators for a symmetry grou|
|                                                                             |
|hich by its multiplication on the variables together with the permutation wil|
|                                                                             |
|ill output CONES_ORBITS and MAXIMAL_CONES_ORBITS if --symmetry is used.      |
|                                                                             |
| off from the input actually is a symmetry group with respect to the input id|
|                                                                             |
|                                                                             |
|ents are genereric.                                                          |
|                                                                             |
|ted (works for usual symmetric traversals, but may not work in general for no|
|                                                                             |
|4                                                                            |
|cal rational) function on a tropical k-cycle. See the Gfan manual for more in|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|function.                                                                    |
|                                                                             |
|                                                                             |
|n Z[x_1,...,x_n].                                                            |
|                                                                             |
| (tiebroken lexicographically),                                              |
|                                                                             |
|                                                                             |
|                                                                             |
|field, the ideal is specified by giving a set of polynomials in the polynomia|
| releases, so don't write your SAGE and M2 interfaces just yet.              |
|                                                                             |
|                                                                             |
| vector tie-broken lexicographically.                                        |
|                                                                             |
|                                                                             |
|                                                                             |
|nput order is: Ring ideal vector.                                            |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|vector in its relative interior. The output is stored as a fan. The input ord|
|                                                                             |
|ad, and perform the operation for each vector in the list.                   |
|                                                                             |
|al term of each polynomial being the first ones listed). Use this option if t|
|-----------------------------------------------------------------------------|
|t the enumeration is done by an almost memoryless reverse search. If the idea|
|                                                                             |
|                                                                             |
|t takes too much time to compute the starting (standard degree lexicographic)|
|                                                                             |
|                                                                             |
|tays fixed when permuting the variables with respect to elements in the group|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|eal.                                                                         |
|                                                                             |
|                                                                             |
|ficient field is the field of rational functions in the parameters.          |
|                                                                             |
|n-symmetric traversals or for traversals restricted to fans).                |
|                                                                             |
|                                                                             |
|. The ordering of the variables is $a>b>c...$ (assuming that the ring is Q[a,|
|                                                                             |
|                                                                             |
|m the input after the generating set has been read.                          |
|                                                                             |
|                                                                             |
|e lexicographic order is chosen. Ignored if -W is used.                      |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|target term order is always lexicographic. The -W option must be used.       |
|                                                                             |
|                                                                             |
|ficient field is the field of rational functions in the parameters.          |
|                                                                             |
|                                                                             |
|ng the division algorithm for each element. The output is 1 for true and 0 fo|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|ion equal to the dimension of the relative open polyhedral cone of the origin|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
| is computed. The input may be just a marked minimal basis in which case the |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|tropical section of the manual.                                              |
|                                                                             |
|                                                                             |
|                                                                             |
| of inequalities given as vectors and a list of equations.                   |
|                                                                             |
|                                                                             |
|LITY_SPACE. If you wish the homogeneity space of an ideal you should first co|
|                                                                             |
|                                                                             |
|                                                                             |
|e list of polynomials. Without the -w option the homogenisation is done with |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|homogenising it.                                                             |
|                                                                             |
|r the list of polynomials.                                                   |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
| computing a Groebner basis with respect to the given vector. The vector must|
|                                                                             |
|                                                                             |
| output. This is useful for finding the Groebner cone of a non-monomial initi|
|                                                                             |
|                                                                             |
|vector.                                                                      |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|lk. The program will list all flippable facets of the Groebner cone and ask t|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|cone.                                                                        |
|                                                                             |
|                                                                             |
|r basis.                                                                     |
|                                                                             |
|                                                                             |
|cet of the current Groebner cone.                                            |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|h respect to a positive vector. Then Buchberger's S-criterion is checked. The|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|n case of a tie the lexicographic term order with $a>b>c...$ is used to break|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|tays fixed when permuting the variables with respect to elements in the group|
|                                                                             |
|                                                                             |
|eal.                                                                         |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|f polynomials.                                                               |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|e input. After this follows the list of polynomial sets.                     |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|drawing of the Groebner fan intersected with a triangle. The corners of the t|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|and top: (0,0,0,1,...). The shifting is done modulo the number of variables i|
|                                                                             |
|                                                                             |
|mial ideal. The initial ideal is given by the leading terms in the Groebner b|
|                                                                             |
|                                                                             |
|drawn.                                                                       |
|                                                                             |
|                                                                             |
|The default value is 8.                                                      |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|ials, whose coefficients are ignored. The output is the fan of coefficients s|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
| checks that the configuration stays fixed when permuting the variables with |
|                                                                             |
|                                                                             |
|d.                                                                           |
|                                                                             |
|                                                                             |
|with the subspace where the variables with a one in the vector are forced to |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|, then the output fan lives in the subspace of the non-specialized coordinate|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|dary fan of a point configuration an additional coordinate of ones must be ad|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|ll lattice points in that scaled polytope. The polytope must have maximal dim|
|                                                                             |
|symmetry option is used then this restricting fan must be invariant under the|
|                                                                             |
|                                                                             |
|hat the configuration stays fixed when permuting the variables with respect t|
|                                                                             |
|                                                                             |
|d.                                                                           |
|                                                                             |
|n-symmetric traversals or for traversals restricted to fans).                |
|                                                                             |
|                                                                             |
| bases in the input, the number of variables, the dimension of the homogeneit|
|                                                                             |
|                                                                             |
|                                                                             |
|the same coefficient field but different variable names. The output is the po|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|r bases, the Groebner fan can be computed as a polyhedral complex. The option|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|ese symmetries. Only one representative for each orbit is needed on the input|
|                                                                             |
|                                                                             |
|                                                                             |
|1 + the dimension of the homogeneity space of I where R is the polynomial rin|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
| The program is slow but works for any homogeneous ideal. If you know that yo|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
| ray of the fan gets the value of the tropical function assigned to it. In ot|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|or of the ideal.Options:                                                     |
|                                                                             |
|                                                                             |
|is a list of polynomials with each polynomial defining a hypersurface. Consid|
|                                                                             |
|                                                                             |
|mials and then refine each cone with the Groebner fan and testing whether eac|
|                                                                             |
|                                                                             |
|e common refinement with the non-negative half space. This means that "stuff |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|d.                                                                           |
|                                                                             |
|arked terms.                                                                 |
|                                                                             |
|                                                                             |
|                                                                             |
|ficient field is the field of rational functions in the parameters.          |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|se tropical variety is a pure d-dimensional polyhedral complex.              |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|let $\omega$ be a relative interior point of $d$-dimensional Groebner cone co|
|                                                                             |
|                                                                             |
|p after the pair of Groebner bases have been read. Two advantages of using th|
|                                                                             |
|l keep the ideal fixed. The vectors are given as the rows of a matrix.       |
|                                                                             |
|                                                                             |
|                                                                             |
|eal.                                                                         |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|n-symmetric traversals or for traversals restricted to fans).                |
|                                                                             |
|                                                                             |
|formation.                                                                   |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|l ring Q[x_1,...,x_n]. That is, by using Q instead of Z when specifying the r|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|er is: Ring ideal vector.                                                    |
|                                                                             |
|                                                                             |
|                                                                             |
|he usual --groebnerFan is too slow.                                          |
|-----------------------------------------------------------------------------|
|l is symmetric the symmetry option is useful and enumeration will be done up |
|                                                                             |
|                                                                             |
| Groebner basis and the input is already a Groebner basis.                   |
|                                                                             |
|                                                                             |
|. The program uses breadth first search to compute the set of reduced Groebne|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|b,c,...]).                                                                   |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|r false.                                                                     |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|al fan containing the vector.                                                |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|cone computed is not a Groebner cone in the usual sense but smaller. (These c|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|mpute a set of homogeneous generators and call the program on these. A reduce|
|                                                                             |
|                                                                             |
|                                                                             |
|respect to total degree.                                                     |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
| be positive or the input polynomials must be homogeneous in a positive gradi|
|                                                                             |
|                                                                             |
|al ideal.                                                                    |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|he user to choose one. The user types in the index (number) of the facet in t|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
| output is boolean value.                                                    |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
| it.                                                                         |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|. The program uses breadth first search to compute the set of reduced Groebne|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|riangle are (1,0,0) to the right, (0,1,0) to the left and (0,0,1) at the top.|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|n the polynomial ring. The default value is 0.                               |
|                                                                             |
|                                                                             |
|asis. Using the -m option it is possible to render more than one staircase di|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|uch that the input system has a tropical solution.                           |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|respect to elements in the group. The output is grouped according to the symm|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|zero. AT THE MOMENT ALSO A RELATIVE INTERIOR POINT OF A STARTING CONE IS READ|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|s.                                                                           |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|ded. For example {(1,0),(1,1),(1,2),(1,3)}.                                  |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|ension. When this option is used the vector configuration must have full rank|
|                                                                             |
| symmetry and the orbits in the file must be with respect to the specified gr|
|                                                                             |
|                                                                             |
|o elements in the group. The output is grouped according to the symmetry.    |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|y space, the maximal total degree of any polynomial in the input and the mini|
|                                                                             |
|                                                                             |
|                                                                             |
|lynomial set written with the variable names of the second polynomial ring.  |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
| --restrict lets the user choose between computing the Groebner fan or the re|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|.                                                                            |
|                                                                             |
|                                                                             |
|                                                                             |
|g. The input is a generating set for the ideal. If the input is not homogeneo|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|ur ideal is prime over the complex numbers or you simply know that its tropic|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|her words this program computes the normal fan of the Newton polytope of the |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|ering tropical hypersurfaces as fans, the intersection can be computed as the|
|                                                                             |
|                                                                             |
|h cone in the refinement has an associated monomial free initial ideal. If so|
|                                                                             |
|                                                                             |
|at infinity" (where x_0=0) is not removed.                                   |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|ntained in the tropical variety. The input for this program is a pair of mark|
|                                                                             |
|                                                                             |
|is option is that the output is nicely grouped and that the computation can b|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|ing. The ideal MUST BE HOMOGENEOUS (in a positive grading) for computation of|
|-----------------------------------------------------------------------------|
|to symmetry using a breadth first search. The program needs a starting Groebn|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|r bases up to symmetry with respect to the specified subgroup.               |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|ones are described in [Fukuda, Jensen, Lauritzen, Thomas]). The third possibl|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|d Groebner basis will always suffice for this purpose.                       |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|ng. None of these conditions are checked by the program.                     |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|he list. The program will walk through the selected facet and display the new|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|r bases up to symmetry with respect to the specified subgroup.               |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
| If there are more than three variables in the ring these coordinates are ext|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|agram. The program only works for ideals in a polynomial ring with three vari|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|etry.                                                                        |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|.                                                                            |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|. This option may be removed in the future.                                  |
|                                                                             |
|oup of symmetries. The orbits of maximal cones of the file are then read in r|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|mal total degree of any basis in the input, the maximal number of polynomials|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|stricted Groebner fan.                                                       |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|us option -h must be used.                                                   |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|al variety is pure and connected in codimension one then use gfan_tropicalsta|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|input polynomial with additional information.Options:                        |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
| common refinement of these. Thus the output is a fan whose support is the in|
|                                                                             |
|                                                                             |
|, then we have a tropical basis and 1 is written as output. If not, then a ze|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|ed reduced Groebner bases with respect to the term order represented by $\ome|
|                                                                             |
|                                                                             |
|e done faster.                                                               |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
| the Groebner fan. Non-homogeneous ideals are allowed for the other computati|
|-----------------------------------------------------------------------------|
|er basis to do its computations. If the -g option is not specified it will co|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|e case is that the Groebner cone is possibly lower dimensional and given by a|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
| Groebner basis and a list of new facet normals for the user to choose from. |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|ended with zeros. It is possible to shift the 1 entry cyclic with the option |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|ables.                                                                       |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|ather than the maximal cones.                                                |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
| and terms in a basis in the input.                                          |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|rtingcone and gfan_tropicaltraverse instead.                                 |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|tersection of the tropical hypersurfaces.                                    |
|                                                                             |
|                                                                             |
|ro is written to the output together with a vector in the tropical prevariety|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|ga$, tie-broken in some way. The first one is for the initial ideal $in_\omeg|
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|ons if the specified weight vectors are positive.                            |
|-----------------------------------------------------------------------------|
|mpute one using Buchberger's algorithm.                                      |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
| pair of Groebner bases as it is useful to do for tropical varieties, see    |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|Since the program reads the user's choices through the the standard input    |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|--shiftVariables.                                                            |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
| but not in the variety. The actual check is done on a homogenization of     |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|a(I)$ the second one for $I$ itself. The pair is the starting point for a    |
|-----------------------------------------------------------------------------|
| option --pair. The facets of the                                            |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
| it is recommended not to redirect                                           |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|the input ideal, but this does not                                           |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
| traversal of the $d$-dimensional                                            |
|-----------------------------------------------------------------------------|
|cone can be read off in section FACETS and the equations                     |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
| the standard input for this program.                                        |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
| affect the result. (This option replaces the -t option                      |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|Groebner cones contained in the tropical variety. If the                     |
|-----------------------------------------------------------------------------|
| in section IMPLIED_EQUATIONS.                                               |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|from earlier gfan versions.)                                                 |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
| ideal is not prime but with the tropical variety still being pure           |
|-----------------------------------------------------------------------------|
|$d$-dimensional the program will only compute a codimension $1$ connected    |
|-----------------------------------------------------------------------------|
|component of the tropical variety.                                           |
+-----------------------------------------------------------------------------+
|i6 : QQ[x,y];                                                                |
+-----------------------------------------------------------------------------+
|i7 : gfan {x,y};                                                             |
| -- running: /usr/bin/gfan _bases < /tmp/M2-2577918-0/258                    |
|Q[x1,x2]                                                                     |
|{{                                                                           |
|x2,                                                                          |
|x1}                                                                          |
|}                                                                            |
|using temporary file /tmp/M2-2577918-0/258                                   |
+-----------------------------------------------------------------------------+

Finally, if you want to be able to render Groebner fans and monomial staircases
to .png files, you should install fig2dev.  If it is installed in a
non-standard location, then you may specify its path using programPaths (Macaulay2Doc).

MarkedPolynomialList
********************

Description
===========

A marked polynomial list is a list of polynomials in which the each polynomial
has a distinguished term.

In gfan, the leading terms of polynomials are marked by writing them first. For
example, the leading term of $y^2 + x^2 + z^2$ is $y^2$ as it appears first. In
Macaulay 2, polynomials are sorted based on the term order of the ring and so
distinguished terms are lost if they do not correspond to the current ring's
term order.

+--------------------+
|i1 : QQ[x,y,z];     |
+--------------------+
|i2 : y^2 + x^2 + z^2|
|                    |
|      2    2    2   |
|o2 = x  + y  + z    |
|                    |
|o2 : QQ[x..z]       |
+--------------------+

In gfanInterface, we represent marked Groebner bases using a list of leading
terms and a second list of polynomials. Such a pair of lists is made into a
MarkedPolynomialList by using the markedPolynomialList,
constructor.

+--------------------------------------------------------------------------+
|i3 : QQ[x,y,z];                                                           |
+--------------------------------------------------------------------------+
|i4 : markedPolynomialList {{y^2, x^2}, {x^2 + y^2 + z^2, x^2 + y^2 + z^2}}|
|                                                                          |
|        2     2    2    2     2    2                                      |
|o4 = {(y ) + x  + z , (x ) + y  + z }                                     |
|                                                                          |
|o4 : MarkedPolynomialList                                                 |
+--------------------------------------------------------------------------+

Many methods in gfanInterface require MarkedPolynomialLists as input and
produce them as output.

For example, the method gfanMarkPolynomialSet,
takes a list of polynomials and a weight vector and returns a list of marked
polynomials. In this case, the leading term is first computed using the weight
vector and then lexicographic order to break ties.

+------------------------------------------------------------------+
|i5 : QQ[x,y,z];                                                   |
+------------------------------------------------------------------+
|i6 : gfanMarkPolynomialSet({x*y^3+z^4, x^2*z^2 + y^3*z}, {-1,2,5})|
|                                                                  |
|        4       3    3      2 2                                   |
|o6 = {(z ) + x*y , (y z) + x z }                                  |
|                                                                  |
|o6 : MarkedPolynomialList                                         |
+------------------------------------------------------------------+

See also
========

  * markedPolynomialList -- constructs a
    MarkedPolynomialList

Methods that use a marked polynomial list:
==========================================

  * expression(MarkedPolynomialList) (missing documentation)
  * "gfan(MarkedPolynomialList)" -- see gfan, -- all reduced
    Groebner bases of a polynomial ideal
  * "gfanBuchberger(MarkedPolynomialList)" -- see gfanBuchberger,
    -- reduced Groebner basis with respect to some monomial
    order
  * "gfanDoesIdealContain(MarkedPolynomialList,List)" -- see
    gfanDoesIdealContain, -- check ideal membership by
    the division algorithm
  * "gfanGroebnerCone(Ideal,MarkedPolynomialList)" -- see
    gfanGroebnerCone, -- polyhedral information about a
    Groebner cone
  * "gfanGroebnerCone(List,MarkedPolynomialList)" -- see
    gfanGroebnerCone, -- polyhedral information about a
    Groebner cone
  * "gfanGroebnerCone(MarkedPolynomialList)" -- see gfanGroebnerCone,
    -- polyhedral information about a Groebner cone
  * "gfanGroebnerCone(MarkedPolynomialList,Ideal)" -- see
    gfanGroebnerCone, -- polyhedral information about a
    Groebner cone
  * "gfanGroebnerCone(MarkedPolynomialList,List)" -- see
    gfanGroebnerCone, -- polyhedral information about a
    Groebner cone
  * "gfanGroebnerCone(MarkedPolynomialList,MarkedPolynomialList)" -- see
    gfanGroebnerCone, -- polyhedral information about a
    Groebner cone
  * "gfanHomogeneitySpace(MarkedPolynomialList)" -- see
    gfanHomogeneitySpace, -- homogeneity space of a list
    of polynomials
  * "gfanHomogenize(MarkedPolynomialList,Symbol)" -- see gfanHomogenize,
    -- homogenize a list of polynomials with respect to a
    weight vector
  * "gfanInitialForms(MarkedPolynomialList,List)" -- see
    gfanInitialForms, -- initial forms of polynomials with
    respect to a weight vector
  * "gfanIsMarkedGroebnerBasis(MarkedPolynomialList)" -- see
    gfanIsMarkedGroebnerBasis, -- checks if a list
    of polynomials are a Groebner basis
  * "gfanKrullDimension(MarkedPolynomialList)" -- see gfanKrullDimension,
    -- krull dimension
  * "gfanLeadingTerms(MarkedPolynomialList)" -- see gfanLeadingTerms,
    -- leading terms of a list (or list of lists) of marked
    polynomials
  * "gfanPolynomialSetUnion(List,MarkedPolynomialList)" -- see
    gfanPolynomialSetUnion, -- union of two lists of
    polynomials
  * "gfanPolynomialSetUnion(MarkedPolynomialList,List)" -- see
    gfanPolynomialSetUnion, -- union of two lists of
    polynomials
  * "gfanPolynomialSetUnion(MarkedPolynomialList,MarkedPolynomialList)" -- see
    gfanPolynomialSetUnion, -- union of two lists
    of polynomials
  * "gfanSubstitute(MarkedPolynomialList,PolynomialRing)" -- see
    gfanSubstitute, -- rename the variables of a list of
    polynomials
  * "gfanToLatex(MarkedPolynomialList)" -- see gfanToLatex,
    -- convert a list of polynomials to LaTeX
  * net(MarkedPolynomialList) (missing documentation)
  * RingMap MarkedPolynomialList (missing documentation)
  * texMath(MarkedPolynomialList) (missing documentation)
  * toString(MarkedPolynomialList) (missing documentation)

For the programmer
==================

The object MarkedPolynomialList, is a type (Macaulay2Doc),
with ancestor classes List (Macaulay2Doc), <
VisibleList (Macaulay2Doc) < BasicList (Macaulay2Doc)
< Thing (Macaulay2Doc).

markedPolynomialList -- constructs a MarkedPolynomialList
*********************************************************

Synopsis
========

  * Usage:
        L = markedPolynomialList P
  * Inputs:
      * P, a list (Macaulay2Doc), of length two
  * Outputs:
      * L, a marked polynomial list, containing
        polynomials from the second entry of P marked by the first entry of P

Description
===========

A marked polynomial list is a list of polynomials in which the each polynomial
has a distinguished term.

The input to markedPolynomialList should be a list containing two lists: a list
of marked terms and a list of polynomials to be marked.

+-----------------------------------------------------------------------+
|i1 : QQ[x,y,z];                                                        |
+-----------------------------------------------------------------------+
|i2 : polynomials = {x^2 + y^2 + z^2, y^2 + x^2 + z^2, y^2 + x^2 + z^2};|
+-----------------------------------------------------------------------+
|i3 : markedTerms = {x^2, y^2, z^2};                                    |
+-----------------------------------------------------------------------+
|i4 : markedPolynomialList {markedTerms, polynomials}                   |
|                                                                       |
|        2     2    2    2     2    2    2     2    2                   |
|o4 = {(x ) + y  + z , (y ) + x  + z , (z ) + x  + y }                  |
|                                                                       |
|o4 : MarkedPolynomialList                                              |
+-----------------------------------------------------------------------+

See also
========

  * MarkedPolynomialList

Ways to use markedPolynomialList:
=================================

  * markedPolynomialList(List) (missing documentation)

For the programmer
==================

The object markedPolynomialList, is a method function (Macaulay2Doc).

MPLConverter -- Converts lists or ideals into markedPolynomialLists
*******************************************************************

Synopsis
========

  * Usage:
        G = MPLConverter{L}
        G = MPLConverter(I)
  * Inputs:
      * L, a list (Macaulay2Doc), of polynomials
      * I, an ideal (Macaulay2Doc), contained in a polynomial ring
  * Outputs:
      * G, a marked polynomial list, a marked
        polynomial of I

Description
===========

This method converts ideals and lists into marked polynomial lists. The output
is a MarkedPolynomialList. The input can be given as an Ideal or List of
polynomials.

+-------------------------------------------+
|i1 : QQ[x,y];                              |
+-------------------------------------------+
|i2 : I = ideal(x^2 + y^2, x*y + y^2 + y^3);|
|                                           |
|o2 : Ideal of QQ[x..y]                     |
+-------------------------------------------+
|i3 : MPLConverter(I)                       |
|                                           |
|        2     2    3           2           |
|o3 = {(x ) + y , (y ) + x*y + y }          |
|                                           |
|o3 : MarkedPolynomialList                  |
+-------------------------------------------+
+---------------------------------------------+
|i4 : QQ[x,y];                                |
+---------------------------------------------+
|i5 : MPLConverter{x^2 + y^2, x*y + y^2 + y^3}|
|                                             |
|        2     2    3           2             |
|o5 = {(x ) + y , (y ) + x*y + y }            |
|                                             |
|o5 : MarkedPolynomialList                    |
+---------------------------------------------+

Ways to use MPLConverter:
=========================

  * "MPLConverter(Ideal)"
  * "MPLConverter(List)"

For the programmer
==================

The object MPLConverter, is a method function with options (Macaulay2Doc).

multiplicitiesReorder
*********************

Ways to use multiplicitiesReorder:
==================================

  * multiplicitiesReorder(List) (missing documentation)

For the programmer
==================

The object multiplicitiesReorder (missing documentation) is a method function (Macaulay2Doc).

polymakeConeToCone
******************

For the programmer
==================

The object polymakeConeToCone (missing documentation) is a symbol (Macaulay2Doc).

polymakeFanToFan
****************

For the programmer
==================

The object polymakeFanToFan (missing documentation) is a symbol (Macaulay2Doc).

toPolymakeFormat
****************

Ways to use toPolymakeFormat:
=============================

  * toPolymakeFormat(Fan) (missing documentation)
  * toPolymakeFormat(String,Boolean) (missing documentation)
  * toPolymakeFormat(String,List) (missing documentation)
  * toPolymakeFormat(String,Matrix) (missing documentation)
  * toPolymakeFormat(String,Vector) (missing documentation)
  * toPolymakeFormat(String,ZZ) (missing documentation)

For the programmer
==================

The object toPolymakeFormat (missing documentation) is a method function (Macaulay2Doc).